GNU bug report logs - #54216
[PATCH] gnu: shepherd-for-guix: New package for use in Guix.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Attila Lendvai <attila@HIDDEN>; Keywords: patch; dated Tue, 1 Mar 2022 18:31:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 22 Mar 2022 14:42:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 10:42:50 2022
Received: from localhost ([127.0.0.1]:41590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWfik-0003US-Oq
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 10:42:50 -0400
Received: from pelzflorian.de ([5.45.111.108]:48012 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1nWfii-0003UK-SW
 for 54216 <at> debbugs.gnu.org; Tue, 22 Mar 2022 10:42:49 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 74974360630;
 Tue, 22 Mar 2022 15:42:47 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1647960167;
 bh=UkdWgCzPUV/if9CDAxdVHClzglgx8jjgvOfpoagJa/o=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=YTpN3T92HUaiITkKKlLCDNeH/ukm8wwHQVLiosWqI1Qc0DEb0l40mw40d6Vtnm4XL
 dO7E735vr3ignTJuQU0uqC+5OUjH9SMwnHcfgDS1t1qabzM0Z0o/PRVwEO7QRqym9x
 mJlzrjgFVDppeQ0Z6LUXXkRdrD2U3q81cf815qeg=
Date: Tue, 22 Mar 2022 15:42:40 +0100
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>
Subject: Re: [bug#54216] [PATCH staging v3] gnu: shepherd: Build it from git, 
 and clean up shepherd-for-guix.
Message-ID: <20220322144240.enga43xdhrl2q36z@HIDDEN>
References: <20220321170716.20140-1-attila@HIDDEN>
 <SokeY0oKL5bbY9xBcY1RGeaM8zb5XHt97Rjy8SUPmm3UGJY_XmeT56stjEJ9BQ0yP9caHnv9EeuYiDtBMBoSieizmGpietfLiGbq6eEHXaI=@lendvai.name>
 <-oMKNdkh4mZGMva6gHm1jQ0lN1JtUMaRhaoHbdblTrLwnTRPGl3YJS0kI8FKBeeoo1Pi96kfnodFhf__rFkjRqM3raiTbdJLNCVEGg-X5KY=@lendvai.name>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <-oMKNdkh4mZGMva6gHm1jQ0lN1JtUMaRhaoHbdblTrLwnTRPGl3YJS0kI8FKBeeoo1Pi96kfnodFhf__rFkjRqM3raiTbdJLNCVEGg-X5KY=@lendvai.name>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 22, 2022 at 01:48:53PM +0000, Attila Lendvai wrote:
> - several packages depend on shepherd, therefore updating it results in a long recompile (currently shepherd patches must also go into staging). this greatly increases the edit-compile-test cycle of hacking on shepherd and testing it "in place" using `guix system vm`.

I'm not sure but have you checked if grafting is an option alternative to this shepherd-next package?

See <https://issues.guix.gnu.org/54199#3>.

The rest of the rationale may be reason enough for this patch though.

Regards,
Florian




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 22 Mar 2022 13:49:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 09:49:12 2022
Received: from localhost ([127.0.0.1]:39348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWesp-0005H2-3P
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 09:49:12 -0400
Received: from mail-4022.proton.ch ([185.70.40.22]:14741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1nWesh-0005GS-Tu
 for 54216 <at> debbugs.gnu.org; Tue, 22 Mar 2022 09:49:09 -0400
Date: Tue, 22 Mar 2022 13:48:53 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1647956936;
 bh=sZLqvcN63/avuddg2nhW9bYGpeFK4m1Rx+o+3lhSIaA=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=iLr03qwCnHZUneUF9Xzdz1ijsUlqZgPf7rGv4khG5i/WENjoFpQNNaoUR5nDAIhi3
 gXouveI0nFg6KRON/zbW8QIlgJAAQECb5x4hmDt4+fq06Ql+xGwDSDzSBZwRPZyUt0
 qPaRhs9ULwU4JJz8WffFASda7ZLwW2iWYfBTnLyygM6a3KsuJDYu+1IIWQT583kKrV
 e/rj1gGBWpT+imZCAKG9aylX9lxMyhXjWL9xsdUvgHaGHrwbqVbgtsv6ou95RMDHmg
 fdtKvOe95xcr8pZr8BzHbKgjdEkKHKL/Ij1Fl/adDdukmNFLBsPYrG/6yBuVsWGUHa
 wkb2zCqIvA4iw==
To: Attila Lendvai <attila@HIDDEN>
From: Attila Lendvai <attila@HIDDEN>
Subject: Re: [PATCH staging v3] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
Message-ID: <-oMKNdkh4mZGMva6gHm1jQ0lN1JtUMaRhaoHbdblTrLwnTRPGl3YJS0kI8FKBeeoo1Pi96kfnodFhf__rFkjRqM3raiTbdJLNCVEGg-X5KY=@lendvai.name>
In-Reply-To: <SokeY0oKL5bbY9xBcY1RGeaM8zb5XHt97Rjy8SUPmm3UGJY_XmeT56stjEJ9BQ0yP9caHnv9EeuYiDtBMBoSieizmGpietfLiGbq6eEHXaI=@lendvai.name>
References: <20220321170716.20140-1-attila@HIDDEN>
 <SokeY0oKL5bbY9xBcY1RGeaM8zb5XHt97Rjy8SUPmm3UGJY_XmeT56stjEJ9BQ0yP9caHnv9EeuYiDtBMBoSieizmGpietfLiGbq6eEHXaI=@lendvai.name>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

i really wish if this patch progressed, and if Guix master included the #:r=
esource-limits commit sooner than later.

Ludo, can you please point out more precisely what is your concern? i'd be =
happy to reshape the patches accordingly.

1) including an unreleased Shepherd in Guix

2) building Shepherd from git instead of a release tarball

3) adding a secondary shepherd package

4) the currently proposed names/setup of the secondary shepherd package

5) ?

the rationale for this patch is discussed above, but to sum it up:

- several packages depend on shepherd, therefore updating it results in a l=
ong recompile (currently shepherd patches must also go into staging). this =
greatly increases the edit-compile-test cycle of hacking on shepherd and te=
sting it "in place" using `guix system vm`.

- using git as source plays better with SWH and simplifies building a diffe=
rent version of shepherd.

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
Every lie is a debt to the truth.





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 22 Mar 2022 09:27:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 05:27:53 2022
Received: from localhost ([127.0.0.1]:39182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWanx-0004xd-6J
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 05:27:53 -0400
Received: from mail-40136.proton.ch ([185.70.40.136]:17789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1nWanu-0004xO-BA
 for 54216 <at> debbugs.gnu.org; Tue, 22 Mar 2022 05:27:52 -0400
Date: Tue, 22 Mar 2022 09:27:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1647941263;
 bh=J2wfnS8xpdG4pjjMmoycJVfW27/0OK8jnqcO1/qjV3A=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=kOhOh0aBTPPHBW844qAUHLfkvJSrWXtcfeKOtcpRH1wXOqP9CjVpTtk2aupinRnx2
 rj1Q4DcEKQelW87Fp+F65ex4mytr+y8iaRwxjQLCuNr8sQJkzhB9up5esr/dfPY4uo
 IRkcKw7foVaVgW/TA++p1JPcNWqTonGeB4crr/SE68Wk6qk4WDSU+LS/8mjFB5C73s
 kVoccVhpmX7m17sfN0nJSK8v8F5tkMs/63K5EsZm3pNE1jA2A34a0ODRiXMvworODa
 XsIg3Pm3cWMVkFCzYyxJsuHrGzs+JZWZhokoDWxOTGj4it0Mj9TQCCFJ9tw/LHp2GQ
 YHmVCM1U3R4rw==
To: Attila Lendvai <attila@HIDDEN>
From: Attila Lendvai <attila@HIDDEN>
Subject: Re: [PATCH staging v3] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
Message-ID: <SokeY0oKL5bbY9xBcY1RGeaM8zb5XHt97Rjy8SUPmm3UGJY_XmeT56stjEJ9BQ0yP9caHnv9EeuYiDtBMBoSieizmGpietfLiGbq6eEHXaI=@lendvai.name>
In-Reply-To: <20220321170716.20140-1-attila@HIDDEN>
References: <20220321170716.20140-1-attila@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

just a quick idea:

another solution could be to introduce a shepherd-tools package that only c=
ontains the command line tools, and packages would depend on this one, not =
shepherd itself.

that way shepherd could be updated cheaply, and as long as the socket inter=
face remains compatible, the shepherd-tools package doesn't need to be upda=
ted (which is expensive in the current dependency graph).

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
=E2=80=9CI cannot imagine a torture more vicious and terrifying than to rea=
lize in the face of one=E2=80=99s final days that one wasted his entire lif=
e trying to please the plethora of idiots around him, instead of educating =
them and himself and molding tomorrow for the better.=E2=80=9D
=09=E2=80=94 Brandon Smith, 'Alt-Market blog'





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 21 Mar 2022 17:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 13:08:51 2022
Received: from localhost ([127.0.0.1]:38044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWLWU-0003L3-Op
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:08:51 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:41969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nWLWT-0003Kq-5y
 for 54216 <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:08:49 -0400
Received: by mail-ed1-f47.google.com with SMTP id x34so17495130ede.8
 for <54216 <at> debbugs.gnu.org>; Mon, 21 Mar 2022 10:08:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=AOh6iBTYoMWUCdk3uvSW1tRdFyMiDmzkl57qjNMoWM0=;
 b=DgJ+gZycA4vPWEa3az0YwIgwImsZHDxjyYHDUcPhiD/sktdEYZAH0hmkIUK8JIgZwt
 VLwFiT/Qc7mveElUmdO6eC82Sxrod3HbI8zhVq5cosyvB3Av/fuJuLbJEr35lt4VwRSL
 KPFaT73fniAn2dDINplRyM7d0uSZa14MXcbh9b2uYQTzdBS6RdfifuzH3/CaslY/jgYB
 SnD1erkjSZH+Wqefur38VzZcrCZTjhwUmcEh1VUQ975sYLPowsjHdpL6m9kxqRUlBSQx
 PDq0dAY7eJIylcpWp08CVUdjVxID5ULImgXYuYII9qV+xi5CNqy9pL250KZ+lqLq/+xO
 wI9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=AOh6iBTYoMWUCdk3uvSW1tRdFyMiDmzkl57qjNMoWM0=;
 b=xecgK/pSDSVKqLy8x00Qz7FXFVlzKgovK0xMWcPs0iKzRv73a4Pf3q13f6SP8S+sbn
 9cCmHjzvi6pPHQK6HERz929e6H29Wj6iRYOyMn/zuz7ijTA4w0JnG9jZo1oMjWHVtfsG
 qWg5Zh4J8ET9doSjLkqdXFT7YPE4a+es5L2fAJUK7BC8d1TRp54x8zDnjQIRBySovqwA
 HNw/KliYp4icCajO/sNG5+KNG9p07CytNJohKCAXjInp3fY7M1mm+c2Ott15uhVfQEyc
 ou6zhO4F3zp3wuVi5V04gF0bj+tyKHYfG/9eH4cSnVkYZElN3OibxkonDY/zDIgOKs4N
 v8OQ==
X-Gm-Message-State: AOAM5309GfIA4whBj11eLIuUtY8qJiFsQatowq488n0K+Z+v9d8Uft2x
 ks2bN/1pgOvQx0e9Na/cPfQlPef1m3I=
X-Google-Smtp-Source: ABdhPJz070iRcbCbszmT+11NUiTYV7RMaNRUaUEz7t8pnJggfbq2LBnZ+wNTPlKYY15R268zFGUECQ==
X-Received: by 2002:a50:d949:0:b0:418:ecfe:8c25 with SMTP id
 u9-20020a50d949000000b00418ecfe8c25mr23945292edj.156.1647882523057; 
 Mon, 21 Mar 2022 10:08:43 -0700 (PDT)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 d11-20020a170906c20b00b006d584a09b9fsm7323712ejz.98.2022.03.21.10.08.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Mar 2022 10:08:42 -0700 (PDT)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH staging v3] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
Date: Mon, 21 Mar 2022 18:07:18 +0100
Message-Id: <20220321170716.20140-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

* gnu/packages/admin.scm (shepherd): Change SOURCE to point to the git repository.
(shepherd-for-guix): Simplify by moving most of the customizations into the above.
---

also updated/rebased the cleanup patch to point to the commit that
includes #:resource-limit in Shepherd.

 gnu/packages/admin.scm | 72 +++++++++++++++++-------------------------
 1 file changed, 29 insertions(+), 43 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index 27fc33e990..3f08447ba4 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -270,26 +270,32 @@ (define-public shepherd
   (package
     (name "shepherd")
     (version "0.8.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnu/shepherd/shepherd-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "0x9zr0x3xvk4qkb6jnda451d5iyrl06cz1bjzjsm0lxvjj3fabyk"))
-              (modules '((guix build utils)))
-              (snippet
-               '(begin
-                  ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                  (substitute* "Makefile.in"
-                    (("compile --target")
-                     "compile -O1 --target"))))))
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://git.savannah.gnu.org/git/shepherd.git/")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "109ha9rk4ycqcmx9cddlbym92c3fvbwp12q9p42h8sg8vr367w5j"))
+       (modules '((guix build utils)))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags '("--localstatedir=/var")
-       #:make-flags '("GUILE_AUTO_COMPILE=0")))
+       #:make-flags '("GUILE_AUTO_COMPILE=0")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'strip) ; Avoid some warnings from stripping .go files.
+         ;; TODO delete this once Guile is updated to v3.0.8+
+         (add-after 'unpack 'patch-source
+           (lambda _
+             ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+             (substitute* "Makefile.am"
+               (("compile --target")
+                "compile -O1 --target")))))))
     (native-inputs
-     (list pkg-config
+     (list autoconf automake gettext-minimal help2man texinfo pkg-config
            ;; This is the Guile we use as a cross-compiler...
            guile-3.0))
     (inputs
@@ -314,46 +320,26 @@ (define-public shepherd
 ;; [TODO] in the manual.
 (define-public shepherd-for-guix
   (let* ((version "0.8.1")
-         ;; If it's an unreleased commit:
+         ;; A commit string, or #f if it's a release.
          (commit "3ee9a7193d73821d6f1dd76a745ed5e4bb1a78c8")
-         ;; Use the below form if it's a release, and also set REVISION to #f.
-         ;; (commit (string-append "v" version))
-         (revision "1"))
+         (revision "1") ; Only relevant when COMMIT is specified.
+         (git-ref (or commit (string-append "v" version))))
     (package
       (inherit shepherd)
-      (version (if revision
+      (version (if commit
                    (git-version version revision commit)
                    version))
       (source
        (origin
          (inherit (package-source shepherd))
-         (method git-fetch)
          (uri (git-reference
                ;; Build from git and add Autotools inputs, to make developing
                ;; Shepherd easier. It enables easier package inheritance.
                (url "https://git.savannah.gnu.org/git/shepherd.git/")
-               (commit commit)))
-         (snippet #f) ; TODO delete this once parent is refactored.
+               (commit git-ref)))
          (sha256
-          (base32
-           "07zaazw33p98n38j9hgjaipjvbh9mf0x3b5nbri5nyrxbgn0vvvb"))))
-      ;; TODO merge this back into the parent with a patch to staging.
-      (arguments
-       (append
-        (package-arguments shepherd)
-        '(#:phases
-          (modify-phases %standard-phases
-            (delete 'strip) ; Avoid some warnings from stripping .go files.
-            (add-after 'unpack 'patch-source
-              (lambda _
-                ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                (substitute* "Makefile.am"
-                  (("compile --target")
-                   "compile -O1 --target"))))))))
-      (native-inputs
-       (modify-inputs (package-native-inputs shepherd)
-         (prepend autoconf automake gettext-minimal help2man texinfo)))
-      (description "A package variant for use in Guix. It helps lowering
+          (base32 "07zaazw33p98n38j9hgjaipjvbh9mf0x3b5nbri5nyrxbgn0vvvb"))))
+      (description "A package variant for use in Guix.  It helps lowering
 the build time of Guix when working on Shepherd."))))
 
 (define-public guile2.2-shepherd
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 21 Mar 2022 16:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 12:12:36 2022
Received: from localhost ([127.0.0.1]:37916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWKe4-0003aN-OE
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 12:12:36 -0400
Received: from mail-il1-f177.google.com ([209.85.166.177]:42625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nWKe2-0003aB-BE
 for 54216 <at> debbugs.gnu.org; Mon, 21 Mar 2022 12:12:34 -0400
Received: by mail-il1-f177.google.com with SMTP id e9so9903281ilu.9
 for <54216 <at> debbugs.gnu.org>; Mon, 21 Mar 2022 09:12:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=ovTYz1FYSy3b9LjnKI1zwugtn5kw81PElta1ChO4q0k=;
 b=l9N8X3MQcQ09mdNdh7pTG9M5LM0QvrPtbdrupvjIDKw9I3YOIfg6s5aOxwSVk41ptD
 VmztFH/x5etHikI2dyJvEi889NSvI47Bn40LntV/Saj2smpWtE2JwOcdQrimebCAgLr0
 MEDQr0cGFnd75xfP//pwlxg0KJL3uOiLukJdeR9Bf6BK0WW7z2DzRW2MIiInU0zl1m9B
 Oqn6AsGgAiv9S1q04CddRa1Dn6jZ4RBshUthG8ugovGaDHvSe3Js84hcrR6RqoMXmbab
 xB+pzqW1/Y8xpHKmbqUxP0rc/7fGjE4+QvTCmXb/NGpbqGVdH8QxmG1GKyU5uUIFNd1q
 vTXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=ovTYz1FYSy3b9LjnKI1zwugtn5kw81PElta1ChO4q0k=;
 b=2KW2Foi/E6Tue704K+JrKFP9w8PUQaT+SkaUe+FBI3ejeTsybje+H/N3txOBSq7rS8
 GC+VOGWTw7aZrGJH2GWgOv48GEctum66MEE9GikXyqzIr4M+24e1VX8EcL1nC80YrfLx
 wgtXv4StcNYSHEh6f6asQNYAB3IX+HgE/HhXYV3EQwxyq4QsrmyAueMgOlMee+inryZE
 qLupCBA+xFpfNo1dC/4GZ/5OJMI6AxKw/WFg6Aet75D1u5fGasHVDffnpkdGiuTswHpE
 niY5ayEUHJbzxE0ikH2ruV4scdvEZlPTy+swJ12PLgR0h57PaQGgEGN53jUdL89Tak/k
 oSiw==
X-Gm-Message-State: AOAM531SLYxK4E3BnvoJ6Id+DlMxSIVGi1wowysg357zcmL4cfAa1uFZ
 Xwou/A8gTVshnR2gFb6cus2zZnnk35lt3GajhFirbFZq
X-Google-Smtp-Source: ABdhPJz1cJOjDpXIp+8Fd0WEEUDQB7ZGUmc5Ltn0YkI8D4xAQoNorsRJTiQ1qVaO7/4UXuZaIJR6YWxd9U/I9lx137c=
X-Received: by 2002:a92:3609:0:b0:2c6:3595:2a25 with SMTP id
 d9-20020a923609000000b002c635952a25mr10729249ila.233.1647879148722; Mon, 21
 Mar 2022 09:12:28 -0700 (PDT)
MIME-Version: 1.0
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220321151410.21398-1-attila@HIDDEN>
 <87v8w7ia8d.fsf_-_@HIDDEN>
In-Reply-To: <87v8w7ia8d.fsf_-_@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 21 Mar 2022 17:12:17 +0100
Message-ID: <CAJ3okZ1d=oX19ZAqUaq_U_L=aT_Esm_zYGOrPqja7sPnfDRVHQ@HIDDEN>
Subject: Re: [bug#54216] [PATCH] gnu: shepherd-for-guix: New package for use
 in Guix.
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludo,

On Mon, 21 Mar 2022 at 17:03, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Normally Guix provides packages for releases rather than snapshots.

Yes, but fetching from Git instead of URL tarball does not mean not a
release. ;-)  Well, fetching from Git would ease the use for snapshots
via transformation.  Other said, the source can point to a Git tagged
release, then people interested in very recent Shepherd can just apply
a transformation.

> In this case, since we=E2=80=99re also upstream, we could make a new Shep=
herd
> release and update the =E2=80=98shepherd=E2=80=99 package in Guix.  I was=
n=E2=80=99t sure this
> was necessary yet, but may it is?  WDYT?

I think the switch of source would ease the cycle as Attila is proposing.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 21 Mar 2022 15:41:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 11:41:50 2022
Received: from localhost ([127.0.0.1]:37910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWKAI-0002mK-6s
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 11:41:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nWKAG-0002m5-MU
 for 54216 <at> debbugs.gnu.org; Mon, 21 Mar 2022 11:41:49 -0400
Received: from [2001:470:142:3::e] (port=44650 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nWKA9-0008Ok-PS; Mon, 21 Mar 2022 11:41:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=B69cDRP3VCMOH8Xyap3Vh5uxQRxnxOPxhXcbAQS/LQE=; b=pEeNpwsQFh5h473a3KQk
 TsBJgRLRWAlObJBkE8Zxopr8SSK0DbXViTd+uMYpXxyEKfDvc2/fRWM0EqPYqhmV0dLLdS2eIUtpz
 Jp1v4apnX72v9hRSgObzlDK2r4vtrC1FJVZniSpKvcHw/K4tb5kmZlemBRE7x7EC2u+2E5b/zBkrw
 F1yYUL5SDaoZzkomG3+A2CjxBlk52Un02B+rT9eS31xETb6vH0a/TxI6TIRlLQnxkXHklnuNhvY8g
 GS7+dhSJJ3ZZHAxAQcv/QjrNefIv/kD6Glhd2039X+iiV3ek6f4iIPO9PCozPeDvA6bULBW5qGvNI
 ZC8C3AX3dNBoPg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64181
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nWKA9-0002sX-CW; Mon, 21 Mar 2022 11:41:41 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>
Subject: Re: bug#54216: [PATCH] gnu: shepherd-for-guix: New package for use
 in Guix.
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220321151410.21398-1-attila@HIDDEN>
Date: Mon, 21 Mar 2022 16:41:38 +0100
In-Reply-To: <20220321151410.21398-1-attila@HIDDEN> (Attila Lendvai's
 message of "Mon, 21 Mar 2022 16:14:10 +0100")
Message-ID: <87v8w7ia8d.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Attila,

Attila Lendvai <attila@HIDDEN> skribis:

> This also updates shepherd-for-guix to the latest commit, so that the two
> variants have a different version.
>
> * gnu/packages/admin.scm (shepherd-for-guix): New variable.

Apologies for nor chiming in earlier.

Normally Guix provides packages for releases rather than snapshots.

In this case, since we=E2=80=99re also upstream, we could make a new Shephe=
rd
release and update the =E2=80=98shepherd=E2=80=99 package in Guix.  I wasn=
=E2=80=99t sure this
was necessary yet, but may it is?  WDYT?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 21 Mar 2022 15:16:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 11:16:52 2022
Received: from localhost ([127.0.0.1]:37871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWJm7-0001e4-Tl
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 11:16:52 -0400
Received: from mail-ej1-f47.google.com ([209.85.218.47]:41962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nWJm5-0001Xo-Be
 for 54216 <at> debbugs.gnu.org; Mon, 21 Mar 2022 11:16:50 -0400
Received: by mail-ej1-f47.google.com with SMTP id a8so30514847ejc.8
 for <54216 <at> debbugs.gnu.org>; Mon, 21 Mar 2022 08:16:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=2blBOk/itWB/Ii7c/Hj/wYU868vN7WZqlClrIJaS5gY=;
 b=MiTz8ax2eQSsxsEFP7pjsKGm5snl9+M4kbETLKY++PjvXe39qMo2SSiEOHKw+qGIbP
 OmOkUN/D4YTzgPEbjGbKCm492eGhtinjK9WrpcLpVj7pDnmgx4gkPZJv/xq9QekZj86j
 6rGN3PYriMgoSZvvmmMYR8un3MTqcJHge/4gYwLrngcTCaKyqIlwcWEVnCUah3GcbIid
 n+lRRh5YI6D3Nam4X58u5fdRQq/7ZoOhYGSryouHIk9hY/TpH5kKVoZrQzJkQx6aCN5V
 Ok4AhxyGeoJhJPIcAILLrmP/hzVRgpgFTyar7ZiWuGH+3Su8lxe5XOjSm9d0XkvnrQr6
 CDiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=2blBOk/itWB/Ii7c/Hj/wYU868vN7WZqlClrIJaS5gY=;
 b=fIJs7O+JcW10jH46mOJBm800lgJmfvYu4BLx07Ks8l1SI1vjliRKra/yLJc+AdTP+x
 caCBNalo/o0P3EzxOY1j5CpKWWj2VrUmm5DZm6yYWtOXjBZUAkp5ZJ3uvr6unY2FuZeC
 XnPRFJYvIqGuAhYRp8TheQhiFnjzQtHIyKPseY7Yw7lDwwQQkOn2MuydHkl4orBQ29ZH
 jkIlEbzX7N8VxeFvyjh1yiTdzWWL6kEGuRB3WbgBDlKThydCcQrI7pIc6ddWTseL0ZbH
 0zDvbfNkfHiIK2a6MrDaNCzx0pbSt2Q058FJ1vGBZBcL+etUs1LiQufC4TdZWPEyqgFJ
 fDrw==
X-Gm-Message-State: AOAM532VwtZG1yqnNbUhOthgk/l+vTWpKqaMYoCt9Ijpgi6BxJ/GGiwt
 6xfAt6WG2TAr2itOJR+bV3OpPB70jS4=
X-Google-Smtp-Source: ABdhPJwJ+BQM9BT6DRm2PBd8WsYoE1zvIsnRIxMPkn7JPGPA/8nq4VYshnZlAFMizTafVOwp7uzrZg==
X-Received: by 2002:a17:906:9c90:b0:6df:9eea:cda3 with SMTP id
 fj16-20020a1709069c9000b006df9eeacda3mr19138195ejc.89.1647875800571; 
 Mon, 21 Mar 2022 08:16:40 -0700 (PDT)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 m20-20020a056402431400b00419315cc3e2sm2093021edc.61.2022.03.21.08.16.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Mar 2022 08:16:39 -0700 (PDT)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH v4] gnu: shepherd-for-guix: New package for use in Guix.
Date: Mon, 21 Mar 2022 16:14:10 +0100
Message-Id: <20220321151410.21398-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This also updates shepherd-for-guix to the latest commit, so that the two
variants have a different version.

* gnu/packages/admin.scm (shepherd-for-guix): New variable.
---

v4: update to build the latest shepherd that now contains
the #:resource-limits commit.

 gnu/packages/admin.scm    | 49 +++++++++++++++++++++++++++++++++++++++
 gnu/services/shepherd.scm |  2 +-
 2 files changed, 50 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c8f91aab0d..27fc33e990 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -307,6 +307,55 @@ (define-public shepherd
     (license license:gpl3+)
     (home-page "https://www.gnu.org/software/shepherd/")))
 
+;; This is the Shepherd package used by Guix.  This package variant
+;; allows us to add new features and fix bugs in Shepherd and use the
+;; new features in Guix, without having to go through the 'staging'
+;; branch, and without having to wait for a new release, see
+;; [TODO] in the manual.
+(define-public shepherd-for-guix
+  (let* ((version "0.8.1")
+         ;; If it's an unreleased commit:
+         (commit "3ee9a7193d73821d6f1dd76a745ed5e4bb1a78c8")
+         ;; Use the below form if it's a release, and also set REVISION to #f.
+         ;; (commit (string-append "v" version))
+         (revision "1"))
+    (package
+      (inherit shepherd)
+      (version (if revision
+                   (git-version version revision commit)
+                   version))
+      (source
+       (origin
+         (inherit (package-source shepherd))
+         (method git-fetch)
+         (uri (git-reference
+               ;; Build from git and add Autotools inputs, to make developing
+               ;; Shepherd easier. It enables easier package inheritance.
+               (url "https://git.savannah.gnu.org/git/shepherd.git/")
+               (commit commit)))
+         (snippet #f) ; TODO delete this once parent is refactored.
+         (sha256
+          (base32
+           "07zaazw33p98n38j9hgjaipjvbh9mf0x3b5nbri5nyrxbgn0vvvb"))))
+      ;; TODO merge this back into the parent with a patch to staging.
+      (arguments
+       (append
+        (package-arguments shepherd)
+        '(#:phases
+          (modify-phases %standard-phases
+            (delete 'strip) ; Avoid some warnings from stripping .go files.
+            (add-after 'unpack 'patch-source
+              (lambda _
+                ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+                (substitute* "Makefile.am"
+                  (("compile --target")
+                   "compile -O1 --target"))))))))
+      (native-inputs
+       (modify-inputs (package-native-inputs shepherd)
+         (prepend autoconf automake gettext-minimal help2man texinfo)))
+      (description "A package variant for use in Guix. It helps lowering
+the build time of Guix when working on Shepherd."))))
+
 (define-public guile2.2-shepherd
   (package
     (inherit shepherd)
diff --git a/gnu/services/shepherd.scm b/gnu/services/shepherd.scm
index b44dbf9d9f..991194ffe6 100644
--- a/gnu/services/shepherd.scm
+++ b/gnu/services/shepherd.scm
@@ -88,7 +88,7 @@ (define-record-type* <shepherd-configuration>
   shepherd-configuration make-shepherd-configuration
   shepherd-configuration?
   (shepherd shepherd-configuration-shepherd
-            (default shepherd)) ; file-like
+            (default shepherd-for-guix)) ; file-like
   (services shepherd-configuration-services
             (default '()))) ; list of <shepherd-service>
 
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 5 Mar 2022 21:50:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 16:50:14 2022
Received: from localhost ([127.0.0.1]:49219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQcI2-0001t1-IC
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 16:50:14 -0500
Received: from andre.telenet-ops.be ([195.130.132.53]:34490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nQcI0-0001sq-V9
 for 54216 <at> debbugs.gnu.org; Sat, 05 Mar 2022 16:50:13 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id 2lqB270014UW6Th01lqBof; Sat, 05 Mar 2022 22:50:11 +0100
Message-ID: <0e04649c54bc8bcab1e619b8071938047363a8c2.camel@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
From: Maxime Devos <maximedevos@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Date: Sat, 05 Mar 2022 22:50:10 +0100
In-Reply-To: <YiPSbdXBeim+5xfY@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
 <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
 <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
 <YiPSbdXBeim+5xfY@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-Ok0ws4QT4xjpP88wfXvF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1646517011; bh=dPzrPCWyoE/xnmRoKwCnaIYGov+sIJgrNm95kJ+ZHiE=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=A9WomoZcW0CJ/PiU/PDdebrq36q+dvH21dG7LGLST2c9J3BKdCSQAjRsf3YrXT+eU
 a+H5KHppBvIiKFGd1AepcaKbst6uYkj+Vz++P4IFcIHmuK2UbSJNJ/uKpMt4AxQN2X
 vWtRk+sxXR6xsw/J3t3ltuL2ZpYTmJF+6g2JilNs7X6mlfTHRUX8WmMojjC9o07x5o
 rPAAn1deiXHM9jYr/sJ9rC907vO14AMa3wVEi5htD/IlcBYhOdrO/qyen+vWfGIVjK
 CfEDjc8hzZjwjNYisq3RffNThuJWIH5YoHlAuiJiSMrJv7GXKbP9h250Fbtnx/8Q0S
 Q9O1EDOJ/aUCA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Attila Lendvai <attila@HIDDEN>,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-Ok0ws4QT4xjpP88wfXvF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Leo Famulari schreef op za 05-03-2022 om 16:13 [-0500]:
> [...]

Replied to on guix-devel@ (see =E2=80=98gnu: shepherd: patch, snippet or
phase=E2=80=99).

--=-Ok0ws4QT4xjpP88wfXvF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYiPbEhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7gHmAP9/A1il/tEkQnN1uhSvJFeV9ZVn
cZYodhRsyr6nRviSRwEA1xHQVx7Ou9wnZuYaEKiUCOD11a+KtXW8VSlerJLjogs=
=xsvO
-----END PGP SIGNATURE-----

--=-Ok0ws4QT4xjpP88wfXvF--





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 5 Mar 2022 21:13:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 16:13:29 2022
Received: from localhost ([127.0.0.1]:49181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQbiS-0007Dx-Uz
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 16:13:29 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:51357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nQbiQ-0007Di-UG
 for 54216 <at> debbugs.gnu.org; Sat, 05 Mar 2022 16:13:27 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id ADD65320046F;
 Sat,  5 Mar 2022 16:13:20 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Sat, 05 Mar 2022 16:13:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=UYB6VrTz4KVcPoSm3kpZYfhNsPH
 j8S9lbeEW/gRfXD4=; b=D3HNXOQuj2hEBRPDUGoIxXHxTAalIXz7+I1wTnR8p/g
 7DkntmpOF4eTEpkA+ww2gnPDdfvwdaJVP7KeNrieLGLzO1QbSNOvu6Foow1CfJDI
 nzBGIpDpiHti1NLIKWHzPl6+bK1F7ulL7fWnRoVcDXhOOIHnVz3tmtRyKV73kq/8
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=UYB6VrTz4KVcPoSm3
 kpZYfhNsPHj8S9lbeEW/gRfXD4=; b=BjLAm74MGzdz6R3zlB5ygdbHRSMkwN0Eh
 7WhwxctZ+Zku85cGXYuDpAca+Y6GDUUBikvvPdgohhc7x4VCM2rUZRp04QPwq2qd
 oYigqqRfumsNNDrv+U8cfrRNCV+Jk56I2UKFE3rKpvD5Uki2tpwhfCWpgzgrO1/c
 +v0cwF7b7MJaMer3lvz1/sWSGxkbNRveU1E424Pmy5pjumdBgXQqQaRLUhd8vg6G
 ZPL3Ci0h45RMDxUAaWcQ16o2li0aVHQD52cYCrQeEhefvHQIPh8qOKqyQFR9tNZ/
 IbvVCvN2kTuefDXY0jPDufzzsTYa5EC+Ju7BnZ8g2hlEuwRDXAaPA==
X-ME-Sender: <xms:cNIjYnSpT_L6EanGZrzQVHfBilYWU1lyQiB5gHG2rMhkG83NoLkYfQ>
 <xme:cNIjYox6D9VJF_aRfOYLymIZ0XFhITPe2A0C4Bw2AdGp2Oo2TQmA6pk6YYmtbji16
 GmcnXGKE4xiBP3JDQ>
X-ME-Received: <xmr:cNIjYs1NIfjHxRcMD2CBR8HFSqYl0gg28GhaYPsnGaLaLa1uf7FBNDgOHWFEcfXBKf0qO6PeJrAao-XmnBe5S3Hr>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddruddutddgudegjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesghdtreertddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepvdevgeekudeivdeileduveekuefgueeuleehtdffgefftdefkeevleffueef
 udeknecuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:cNIjYnC681XMa6xT5TXOgPhGsLps9qwuQ9O7TRJfPrwiCWbBX0H9Mg>
 <xmx:cNIjYgjGys178WrkfGYIfLs5d_cgTSSLz58rETkF67onNTKHo0lquw>
 <xmx:cNIjYrodiM2l4CW1V16WOAMBKff-V7KBXHhVrrVie67iNWA0v4yJsA>
 <xmx:cNIjYjuMFcwBK1hN2olUKY-w3sMFfrNTVXwcYu01fNwj5nDzSTrNRQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 5 Mar 2022 16:13:20 -0500 (EST)
Date: Sat, 5 Mar 2022 16:13:17 -0500
From: Leo Famulari <leo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
Message-ID: <YiPSbdXBeim+5xfY@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
 <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
 <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="5kTCR7zpgmgELN0A"
Content-Disposition: inline
In-Reply-To: <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Attila Lendvai <attila@HIDDEN>,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--5kTCR7zpgmgELN0A
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Mar 03, 2022 at 07:25:22AM +0100, Maxime Devos wrote:
> Leo Famulari schreef op wo 02-03-2022 om 18:50 [-0500]:
> > Origin snippets should only be used to remove nonfree things
> > from the upstream source code. All other changes should use
> > patch files or a build phase.
>=20
> Why?  If it's a source code change and it fits an origin snippet,
> why not an origin snippet?  Why would the source in Guix need to match
> the source upstream?

`guix build --source` is a tool to provide freely licensed source code
to be used for any purpose, including building on systems besides Guix.

Using the Guix tools, there is no way to access the upstream source code
without applying the snippets. The reason for that is that the origin
snippet mechanism was introduced specifically to remove non-free
components without making it easy to reverse the transformation.

Compare that to patch files, which are easily reversed, and build
phases, which do not apply to `guix build --source`.

So, we have to be careful when using snippets, to ensure that the result
of `guix build --source` is useful on any system, not just Guix.

More info:
https://guix.gnu.org/manual/en/html_node/Snippets-versus-Phases.html

Please let me know if these guidelines are still unclear.

--5kTCR7zpgmgELN0A
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmIj0m0ACgkQJkb6MLrK
fwitjA/+Jbb/N/QzeDlps/O1l76DY/Zh46LLJ/zcEogVGBVPI2rw4R2w7Lz7nGn7
pjpmDcjq8ai28cLQk1zwhuwAHUAmnpWKwAPvKA1skhc9AAsiVd6Xr938gzOoUZwl
L01dKEcSbOmoREpYdUMLyt54Lvfe7CXxLYUH7LM6p4od67qRYi3WoW48qtDbK0ab
OnMQim6Q96Jltjqotx7yNuKE6+5iXjPLxj+QD32XLEUknE+SzFB9n17pQTRoUwJM
Bc96cLmAOJRirGlwVDM+piS6ehxnwkKmZdNmBz3Wa/Iy4Au50Wo9S6fiJsSbjDvu
flHQj2e+CC+y6E5sNCUvKD6FlTsb3D93ol0/NOQ7MMIpR3dOyq3z2xS0CJ5ePEW3
Ds/ruKBQCbmyL2g6bEo1g3iqex+lb/8izzNsyM9L3Def5BDWZeW7a/1Txj/06wKG
flBUqHBstUupEtAefXMNTSqjeanU77tEtrx/bPY2aRJ+5mSmQAr1fm8eIermE2U1
I0/tOsmTDbhf1sBCTFZ9/ipx8eFLBoyH8QrabQ3fHRCgqXENP+gCvvCdeYtSSAP9
SIwB8hlwDwXdDfA/R3Nj2aCQ3e5AZMupE+Q8u1/64mVnwMhUhQqCNhsmt1uGcAzj
e3MBmzG7n8089XANSNlFoU/GFEf53ModjIQ22cJecuSt/SJIPU4=
=6p7a
-----END PGP SIGNATURE-----

--5kTCR7zpgmgELN0A--




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 4 Mar 2022 11:36:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 06:36:18 2022
Received: from localhost ([127.0.0.1]:44648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQ6EL-0002tf-N0
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2022 06:36:18 -0500
Received: from mail-ed1-f53.google.com ([209.85.208.53]:44659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nQ6EJ-0002tQ-3K
 for 54216 <at> debbugs.gnu.org; Fri, 04 Mar 2022 06:36:15 -0500
Received: by mail-ed1-f53.google.com with SMTP id x5so10349532edd.11
 for <54216 <at> debbugs.gnu.org>; Fri, 04 Mar 2022 03:36:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=vPNkbcZmXZFRX+YrqoSa+cu3J1/OUdFIlZXnxlIwtWw=;
 b=YeX+TBSU8HMNiN0FB40XFSnrL71wRCVH7Y+imXbaLyHGmH1X+THJF0CaiYBP9GNQcg
 ygPvkqkSbnNVsT6KL8rYQBNfzmeHlGk1TxDaz/bfsJ6tVVOyD2jvy2vvSPQy9ptUA7Aj
 fo/gXC0CfWleZHe8ZWDV5Oko9zRq4lXRNgQVIID2r5pb8Vb3uT2ff1T5sOp/CXROISkZ
 rb9h/JzqRhC+ZyJQq+7ZYvtpZjlWpyX223Dxx37JlFzGcaym9DCBbOoAW+7BD1BxizJt
 JpaYDHs1hMCb3LJWwHjSnT7NwNt2TbT9rya0bFle/9KIw8UvIFd6LcMax3rHLS+yvUVt
 cJoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=vPNkbcZmXZFRX+YrqoSa+cu3J1/OUdFIlZXnxlIwtWw=;
 b=Vpk+0g1a3pTSU+mukSul8PnduT8ylqbKdQCOjR3gG54WtwUTA3q0fnvF3qR/p0Z0xz
 Tj37WAtU1UxgfBv6bffSTwWY+HjdDPQKIdYfoVPKCl1vrCGgqubrMUApr8tOdlHJaJsm
 TWCGMG+cg0cJHik/0TKHUzq92MNdvWkhJwdzUBBrCxKW1FFUdjIT08m1hYYVyfgyj6tx
 PF0mrul/gb8PVlFPh0t8nhHbbD01AbKj6UGY0Gc45llZ5e235eyFp32dibrvvEgc+Uai
 mnlDExp/1Zcy7pk4/0AZf+xU7IS2rMtjecANqZSFkyI6FazXeroPhYZVhkKtZc0ih8Wz
 1aIw==
X-Gm-Message-State: AOAM530HAwg602l+wMPnBD/7Gars5eUVrU+/NtYCoTtP8i9rMQH9GncE
 Al8J25FEpZGDFGYfthYJBuYotGAQfPs=
X-Google-Smtp-Source: ABdhPJxArZK5kQCtmRGy2Z0Dxlz+KWbrznkJIVABs3xVHA//X9XzbVOZPYz0qd2zeLhRH9yY2PH9LQ==
X-Received: by 2002:aa7:d9d9:0:b0:415:9ec3:e124 with SMTP id
 v25-20020aa7d9d9000000b004159ec3e124mr15277441eds.15.1646393769001; 
 Fri, 04 Mar 2022 03:36:09 -0800 (PST)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 q9-20020a17090609a900b006cd30a3c4f0sm1702026eje.147.2022.03.04.03.36.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 04 Mar 2022 03:36:08 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH shepherd staging v2] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
Date: Fri,  4 Mar 2022 11:30:29 +0100
Message-Id: <20220304103028.24388-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

* gnu/packages/admin.scm (shepherd): Change SOURCE to point to the git repository.
(shepherd-for-guix): Simplify by moving most of the customizations into the above.
---

i accidentally used the wrong hash in the first version. v2 fixes it, and
also adds a more conformant commit message.

my server is now building/reconfiguring into this codebase, that's how i've
noticed my mistake. no idea why it didn't surface earlier, probably due
to an unfortunate ordering of the test builds and the copy-paste mistake.

 gnu/packages/admin.scm | 70 +++++++++++++++++-------------------------
 1 file changed, 28 insertions(+), 42 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index dbceaca5e5..882dc9f121 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -270,26 +270,31 @@ (define-public shepherd
   (package
     (name "shepherd")
     (version "0.8.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnu/shepherd/shepherd-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "0x9zr0x3xvk4qkb6jnda451d5iyrl06cz1bjzjsm0lxvjj3fabyk"))
-              (modules '((guix build utils)))
-              (snippet
-               '(begin
-                  ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                  (substitute* "Makefile.in"
-                    (("compile --target")
-                     "compile -O1 --target"))))))
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://git.savannah.gnu.org/git/shepherd.git/")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "109ha9rk4ycqcmx9cddlbym92c3fvbwp12q9p42h8sg8vr367w5j"))
+       (modules '((guix build utils)))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags '("--localstatedir=/var")
-       #:make-flags '("GUILE_AUTO_COMPILE=0")))
+       #:make-flags '("GUILE_AUTO_COMPILE=0")
+       #:phases
+       (modify-phases %standard-phases
+         ;; TODO delete this once Guile is updated to v3.0.8+
+         (add-after 'unpack 'patch-source
+           (lambda _
+             ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+             (substitute* "Makefile.am"
+               (("compile --target")
+                "compile -O1 --target")))))))
     (native-inputs
-     (list pkg-config
+     (list autoconf automake gettext-minimal help2man texinfo pkg-config
            ;; This is the Guile we use as a cross-compiler...
            guile-3.0))
     (inputs
@@ -314,45 +319,26 @@ (define-public shepherd
 ;; [TODO] in the manual.
 (define-public shepherd-for-guix
   (let* ((version "0.8.1")
-         ;; If it's an unreleased commit:
+         ;; A commit string, or #f if it's a release.
          (commit "7c380590164ea8ee40de46059d07e08a48963577")
-         ;; Use the below form if it's a release, and also set REVISION to #f.
-         ;; (commit (string-append "v" version))
-         (revision "1"))
+         (revision "1") ; Only relevant when COMMIT is specified.
+         (git-ref (or commit (string-append "v" version))))
     (package
       (inherit shepherd)
-      (version (if revision
+      (version (if commit
                    (git-version version revision commit)
                    version))
       (source
        (origin
          (inherit (package-source shepherd))
-         (method git-fetch)
          (uri (git-reference
                ;; Build from git and add Autotools inputs, to make developing
                ;; Shepherd easier. It enables easier package inheritance.
                (url "https://git.savannah.gnu.org/git/shepherd.git/")
-               (commit commit)))
-         (snippet #f) ; TODO delete this once parent is refactored.
+               (commit git-ref)))
          (sha256
-          (base32
-           "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))))
-      ;; TODO merge this back into the parent with a patch to staging.
-      (arguments
-       (append
-        (package-arguments shepherd)
-        '(#:phases
-          (modify-phases %standard-phases
-            (add-after 'unpack 'patch-source
-              (lambda _
-                ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                (substitute* "Makefile.am"
-                  (("compile --target")
-                   "compile -O1 --target"))))))))
-      (native-inputs
-       (modify-inputs (package-native-inputs shepherd)
-         (prepend autoconf automake gettext-minimal help2man texinfo)))
-      (description "A package variant for use in Guix. It helps lowering
+          (base32 "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))))
+      (description "A package variant for use in Guix.  It helps lowering
 the build time of Guix when working on Shepherd."))))
 
 (define-public guile2.2-shepherd
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 14:51:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 09:51:37 2022
Received: from localhost ([127.0.0.1]:42065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPmnp-00024m-Ji
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:51:37 -0500
Received: from mail-pg1-f170.google.com ([209.85.215.170]:42848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nPmnn-00024a-Nn
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:51:36 -0500
Received: by mail-pg1-f170.google.com with SMTP id o8so4710800pgf.9
 for <54216 <at> debbugs.gnu.org>; Thu, 03 Mar 2022 06:51:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nuuoxj1xz8TBCT4Rc01i3TMZeotdLCR87KkLZht9Vf0=;
 b=UFAs71VJvxP1JF8vvVzfw7IIc//ZCNR9tgfisdNsa4P0HsknF5A3/K715nrrDA7Rk7
 EuEHfOUiLsHLup7lctqXtIvIyCRV90Qckb0R4wypavYuXFxgaTSlGOI8zbP7KCgtvnK2
 LgGUHRXd4YmgHUXbyMnChVXMGkSSfP7Pdqv8yI34Fj9Z2NogcEqVm8pgqFTj6V2tIV1B
 +rksbb6DRGa2aoGl2e+AHc8SQUzb9BJdcwYTCKwPw6o8J6+HM8N8ql2vyuI1kAb6CehP
 A3GDRzVAjNmw1FNYFMnDuwIKpKGYCDcnjCOntQrSd8ZI5zPeqbJojIEle7DsE2O9kPAX
 rxMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nuuoxj1xz8TBCT4Rc01i3TMZeotdLCR87KkLZht9Vf0=;
 b=m2BdiTTgne2NH2XRFu7IZkPrJQA6O9P34P+sHhPYqia4CjKeb0GbsefwMGH+WPSmS5
 P05eMGaTNi6BGivbYwyELiloeUC1q9yk69nz5NUCF9zgm0kuqeN7K/Y+5N0BIuYh/zSd
 UFgqvAwZZtjv5W4Pia/PnuHCx+SI+lKxP2vuUHsOXP0HS/fYrK9UNCzAUVNDEwbibc3i
 NZNySOwNT/BxEOJBynPZrHKMgu+xIfUw/Dc9gYwY9Gy6+ekLSbe7BXOR1tbqTJuLg5Ib
 I89+6kLv3ki+ESshiurqe/RIOKQekcCmtjvje6zIMMLymdNK3qoDAdQVSAg6OmCBIMxf
 mkBA==
X-Gm-Message-State: AOAM531XPcnHUZ0WJ16bnYEm8//gX9JTQ9E6L5PROTM05PmlPYdMXpgY
 9xP43JIVbPuHrdtoV+giMuk0ZJwyPg7TbXbp96Q=
X-Google-Smtp-Source: ABdhPJz3glcXxqJvHqe3zWA/5EMXqmTWKKeAISMtj/vqglc/0EmcAyZa0m5nmMscAqXB/9fc31AwLAInz5MhG/giwpA=
X-Received: by 2002:a05:6a00:1747:b0:4f3:e449:4416 with SMTP id
 j7-20020a056a00174700b004f3e4494416mr30343839pfc.5.1646319089854; Thu, 03 Mar
 2022 06:51:29 -0800 (PST)
MIME-Version: 1.0
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
 <a0021396e6a056dad17f3af7b70d0ec6069f0b0c.camel@HIDDEN>
In-Reply-To: <a0021396e6a056dad17f3af7b70d0ec6069f0b0c.camel@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 3 Mar 2022 15:51:18 +0100
Message-ID: <CAJ3okZ0VS1U7-kghNGqoC_EAoq8-q1BMk+NF=q=ObyriLG+-Ww@HIDDEN>
Subject: Re: [bug#54216] [PATCH staging] gnu: shepherd: Build it from git, and
 clean up shepherd-for-guix.
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Maxime,

You are doing the discussion and we should stay focus on this patch.
:-)  Leo and me are considering better to have the substitution in a
phase, FWIW, and Attila submitted a new version.  Let's move on, again
for what my opinion is worth here.

I am totally fine to have the discussion on guix-devel or elsewhere --
I disagree on some points but I will not comment here; it appears to
me not fair to pollute by lengthy arguments the nice patch by Attila,
IMHO.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 14:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 09:36:58 2022
Received: from localhost ([127.0.0.1]:41993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPmZd-0007rk-Vb
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:36:58 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:50232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nPmZb-0007rX-9u
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:36:56 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id 1qct2700V4UW6Th06qctNX; Thu, 03 Mar 2022 15:36:53 +0100
Message-ID: <a0021396e6a056dad17f3af7b70d0ec6069f0b0c.camel@HIDDEN>
Subject: Re: [bug#54216] [PATCH staging] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
From: Maxime Devos <maximedevos@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 03 Mar 2022 15:36:53 +0100
In-Reply-To: <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-GZjxMJywa+0hGWUlx6sW"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1646318214; bh=n2TqiPY7mOGvxZaRC4C3Ksmr0ZfNnK7BpfeNuGqeZYg=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=fD27dptDBa5InEuxqiIojltF30j7envnO8Kp1837HFXD30BaOc6qlzB25ZCgczYnC
 r18yAKyz37BN5gxIFW+jEI719rWRPNXq1ceaestpiLktp+itVgt9fDiOaNf+x1eYCv
 pdesBR844qtLFtknmKlh4wgx5a1d2dD61JsGFPtL6nnBaE20+4Gp64QVk4PN9Mk+Tg
 ILPGNMPaZFzzdlJjgzbI02lF4B1+3yUQ7zdtE4E7/JW4zZdAE/oLnVklcZYDLnQnR+
 x3IKOf3LJzaVIlPuTFMQ3NXw4rMnXE7pWm2UkavDLKVdOcmZvUiRz4tiJ/SsIa1C/K
 3/0KNxxo8qLDQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-GZjxMJywa+0hGWUlx6sW
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

zimoun schreef op wo 02-03-2022 om 10:14 [+0100]:
> Hi Attila,
>=20
> On Tue, 1 Mar 2022 at 20:42, Attila Lendvai <attila@HIDDEN> wrote:
>=20
> > unfortunately, it won't help us much here, because one snippet modifies
> > Makefile.am, while the other Makefile.in.
>=20
> Guix does not have a clear line for patching (or I am not aware of the
> update); what is going to source+snippet vs arguments+phase.  Pros and
> cons for both; basically the question is what "guix build --source"
> should return?
>=20
> Option source+snippet means it returns the source of what Guix really
> builds

Seems like a pro for source+snippet (or source+patch, though that
would be a bit more verbose) to me.

> =C2=A0-- so many packages would not respect this rule of thumb.

In that case, it seems like there are plenty of package definitions to
improve!

> Option arguments+phase means it returns the real unmodified upstream
> source (modulo removal of non-free) -- so "guix shell -D foo" would
> break for many packages.

I assume you meant "guix build --source foo"?
This seems like a con for "phases+arguments" to me.
Sometimes, to hack on software, I download the source code with
"guix build --source the-package", unpack it and do
"guix shell -D the-package".

I don't see much value in returning the unmodified upstream source.
Especially since in this case the modified source fixes a bug
(well, works-around a Guile bug). As long as it's source code, it
builds, it doesn't do things like bundling, including binaries or
non-free things, and it avoids being Guix-specific and fixes known
bugs, it seems good source code to me.

Also, most packages don't modify upstream code, so I don't see
the =E2=80=98would break for many packages=E2=80=99 here ...

> Difficult tension. :-)

As implied from my explanations above, I don't see any tension here.

> That's said, personally, in this case, instead of having the Makefile*
> patch in 'source', I would do the patching using a phase.

It's =E2=80=98merely=E2=80=99 setting some compilation flags, so maybe.
Both options seem fine to me here but I don't see a point to _moving_
from the snippet-shed to phase-shed.


Greetings,
Maxime.

--=-GZjxMJywa+0hGWUlx6sW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYiDShRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kFgAQDGwT/D5lXc6wR2X8MIW7gnyjEr
c11f0pSJiKarAeWhaAD/R/ecmWOz1O+0dzZokHS54qV8maGkr5bMU+K4zVsergY=
=7WnR
-----END PGP SIGNATURE-----

--=-GZjxMJywa+0hGWUlx6sW--





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 14:29:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 09:29:56 2022
Received: from localhost ([127.0.0.1]:41960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPmSq-0007ef-A3
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:29:56 -0500
Received: from mail-ej1-f50.google.com ([209.85.218.50]:38408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nPmSo-0007eT-G8
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 09:29:55 -0500
Received: by mail-ej1-f50.google.com with SMTP id r13so11073518ejd.5
 for <54216 <at> debbugs.gnu.org>; Thu, 03 Mar 2022 06:29:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=SKouk2NeITzvyMLMqUltyfSZ8hykeb3Ml1ToudiOYs4=;
 b=P2wTE3YH6F0jdbD4rB3MBm7dF8U4hJ6JgZLacdLTp3a5JENto/RzLd+cV5NwZZ9nMF
 GSoXtb3ogw1dsxLQKtYVhbpIiz/bXC9W0EFElYU8q7vVb6jC43iXNz1MD1nynoyGxOSu
 LVAEAkKW6PsXt1WUMgdlBKLEDDYeaut2sebOqRqV65HHrNR+tYNGekG4LUWFpnQbWSzc
 3gLFIt3S1F1Tkqj/3boXWQ5XhTuZ8OQqktR4kzHfIEnO4fTJgvyTV2SoinGdk++F9s6E
 VK2XJqTcJ/l5Yr6CpE4Il3YL4/XUCnc0Hn7itOsvn83N5l98Ax2hZkcwWHieQZtCvCBM
 7Yzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=SKouk2NeITzvyMLMqUltyfSZ8hykeb3Ml1ToudiOYs4=;
 b=szINkQwqwszSdN04Dx/jexafFgFLacFwWrIoh4LUBTIkP5V1Ff+dBZrqAhy9U0zy79
 Lenqbaaa7Ey3xkmtFhQAag7a3dgN2NAxzhtiD4qJ+XJ8VdQYxssT56JLR3ojwvbNLPsy
 l/7ufB8S4kdjcqjqluoohkT2YM8RWYtkaMWpxieLc9BsFcbrHShdKp0sovJbiv33lcLD
 ZVR655K4zq+t9DjyDmQntDVXrfzmsRUmMzcb7xsIBPyBHVxxJrtpNAuNRYaEhutJGysw
 IiTGfXnwfh0lrbTP9bVmk9MEB1vedRlT7tSbGioYA41eeEUTql6+i3t8QgacT24kIgAV
 J53Q==
X-Gm-Message-State: AOAM530n5AwUT45ZNWtC54v7h9/0a8kIirhcFSTHldeKqFkaNHE1FRwg
 9Fe3I2mr19ju0rqDO/kyu8GhYEgnjKs=
X-Google-Smtp-Source: ABdhPJy0zhXwJarHNPzvPmTe53MqrXRVCl1Jchbr1lpnzoPtqUm2fnor/x/u0NzY2TRcbIccevZI7Q==
X-Received: by 2002:a17:906:8299:b0:6cf:3847:284b with SMTP id
 h25-20020a170906829900b006cf3847284bmr27242620ejx.682.1646317788378; 
 Thu, 03 Mar 2022 06:29:48 -0800 (PST)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 n19-20020a1709067b5300b006ce36e2f6fdsm759214ejo.159.2022.03.03.06.29.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 03 Mar 2022 06:29:47 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH staging] gnu: shepherd: Build it from git,
 and clean up shepherd-for-guix.
Date: Thu,  3 Mar 2022 15:28:39 +0100
Message-Id: <20220303142838.9991-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This cleanup is in a seprate patch because this one must go through staging.
---

as promised, this is the cleanup patch for staging.

 gnu/packages/admin.scm | 70 +++++++++++++++++-------------------------
 1 file changed, 28 insertions(+), 42 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index dbceaca5e5..bcfef124d7 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -270,26 +270,31 @@ (define-public shepherd
   (package
     (name "shepherd")
     (version "0.8.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnu/shepherd/shepherd-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "0x9zr0x3xvk4qkb6jnda451d5iyrl06cz1bjzjsm0lxvjj3fabyk"))
-              (modules '((guix build utils)))
-              (snippet
-               '(begin
-                  ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                  (substitute* "Makefile.in"
-                    (("compile --target")
-                     "compile -O1 --target"))))))
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://git.savannah.gnu.org/git/shepherd.git/")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))
+       (modules '((guix build utils)))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags '("--localstatedir=/var")
-       #:make-flags '("GUILE_AUTO_COMPILE=0")))
+       #:make-flags '("GUILE_AUTO_COMPILE=0")
+       #:phases
+       (modify-phases %standard-phases
+         ;; TODO delete this once Guile is updated to v3.0.8+
+         (add-after 'unpack 'patch-source
+           (lambda _
+             ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+             (substitute* "Makefile.am"
+               (("compile --target")
+                "compile -O1 --target")))))))
     (native-inputs
-     (list pkg-config
+     (list autoconf automake gettext-minimal help2man texinfo pkg-config
            ;; This is the Guile we use as a cross-compiler...
            guile-3.0))
     (inputs
@@ -314,45 +319,26 @@ (define-public shepherd
 ;; [TODO] in the manual.
 (define-public shepherd-for-guix
   (let* ((version "0.8.1")
-         ;; If it's an unreleased commit:
+         ;; A commit string, or #f if it's a release.
          (commit "7c380590164ea8ee40de46059d07e08a48963577")
-         ;; Use the below form if it's a release, and also set REVISION to #f.
-         ;; (commit (string-append "v" version))
-         (revision "1"))
+         (revision "1") ; Only relevant when COMMIT is specified.
+         (git-ref (or commit (string-append "v" version))))
     (package
       (inherit shepherd)
-      (version (if revision
+      (version (if commit
                    (git-version version revision commit)
                    version))
       (source
        (origin
          (inherit (package-source shepherd))
-         (method git-fetch)
          (uri (git-reference
                ;; Build from git and add Autotools inputs, to make developing
                ;; Shepherd easier. It enables easier package inheritance.
                (url "https://git.savannah.gnu.org/git/shepherd.git/")
-               (commit commit)))
-         (snippet #f) ; TODO delete this once parent is refactored.
+               (commit git-ref)))
          (sha256
-          (base32
-           "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))))
-      ;; TODO merge this back into the parent with a patch to staging.
-      (arguments
-       (append
-        (package-arguments shepherd)
-        '(#:phases
-          (modify-phases %standard-phases
-            (add-after 'unpack 'patch-source
-              (lambda _
-                ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
-                (substitute* "Makefile.am"
-                  (("compile --target")
-                   "compile -O1 --target"))))))))
-      (native-inputs
-       (modify-inputs (package-native-inputs shepherd)
-         (prepend autoconf automake gettext-minimal help2man texinfo)))
-      (description "A package variant for use in Guix. It helps lowering
+          (base32 "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))))
+      (description "A package variant for use in Guix.  It helps lowering
 the build time of Guix when working on Shepherd."))))
 
 (define-public guile2.2-shepherd
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 09:45:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 04:45:18 2022
Received: from localhost ([127.0.0.1]:41478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPi1O-0001vV-Ir
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 04:45:18 -0500
Received: from mail-ej1-f46.google.com ([209.85.218.46]:33616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nPi1M-0001vG-Ph
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 04:45:17 -0500
Received: by mail-ej1-f46.google.com with SMTP id kt27so9467319ejb.0
 for <54216 <at> debbugs.gnu.org>; Thu, 03 Mar 2022 01:45:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=WE/QBGbwtrwixbmVr1qs58V3rb2LHSH68DAAwVGwcpE=;
 b=kAd3xymRAMkKWAevGyEoBfciYgWvzxNF8p/Wg+LDroxL+Ain1eW11vr01vHX4V4CE1
 PA5a0PwiywOhJ9zrnx6tSy+uRYa3re5bZPPIW0v46uYicxh4CEfuKO8CbyvDsz2XQtlu
 /dpmNY685gF6E4hf3oJtdpJ0I9KrJDURv/Qus+KsxtL5UmG54Tn8XsZ52eO8FxZRBWL4
 L77BW1DDLVdYaWGPw1U7wFEYhZju3vrC3xyPa2O27dxasHtT3fuMmb44PDio060McYok
 MjhhhGcNM0kp/R3WjCVfvU1TYz020bp5KHFBJYPcNL2+zAyXD1D+skZtIMwsxY/P7Y1N
 ageA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=WE/QBGbwtrwixbmVr1qs58V3rb2LHSH68DAAwVGwcpE=;
 b=DhwYCFh0doMOnWoqmclh8D0/fAG1N6N3Q4yK7WS2HYWkAZ8YmyCtXBxPoSIIfift8e
 xujGIj5M4h3RXPBqNxD9SESC4fFGSpC49G0NCX7LgB9AdEKv8Cfic/mlVPTyVV8LRGKa
 geeipjFHiHSPjeK2hap40YDRvRlWMiEbar7M0f4wy/JTRUXeQUBL0N7/PvN80paN5MYs
 Avncf7LFmpwcuVB7YZuC2Lf9ZYk83qHU+W3z4RtAgeS7n6CmYINoXiVxgMWGwVt/sZeD
 nKiJjZQkpG5z7rjnRQ/gCqt16L5WBKq799Y+N1JxSh/1P3KFbNn5XleF9zFtbnK/M2xO
 1G+Q==
X-Gm-Message-State: AOAM530CNkKZ20FsgFs2gH5TPZsOt6pswb0GxjNHj+xWzekWs11cQcaM
 THH5joGtJhbCfTw/24TbdzvR0QE0Nhs=
X-Google-Smtp-Source: ABdhPJzF6EP2jC7Iu0aBQ4FzL0EAxnr85s4+BViHPgM1DIGLnp77+K3pEO8NWzbRemtd1y03cTJt0g==
X-Received: by 2002:a17:906:4fd2:b0:6d9:f7b6:964a with SMTP id
 i18-20020a1709064fd200b006d9f7b6964amr5594308ejw.474.1646300710548; 
 Thu, 03 Mar 2022 01:45:10 -0800 (PST)
Received: from lelap.local (catv-89-132-245-188.catv.fixed.vodafone.hu.
 [89.132.245.188]) by smtp.gmail.com with ESMTPSA id
 e24-20020a170906045800b006da975173b5sm174209eja.141.2022.03.03.01.45.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 03 Mar 2022 01:45:09 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: shepherd-for-guix: New package for use in Guix.
Date: Thu,  3 Mar 2022 10:43:36 +0100
Message-Id: <20220303094335.8926-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This also updates shepherd-for-guix to the latest commit, so that the two
variants have a different version.

* gnu/packages/admin.scm (shepherd-for-guix): New variable.
---

v3: as per the discussion, implement the patching through a phase.

once it gets merged, i'll prepare another patch to staging that
cleans this all up by moving most of this into the parent package,
and also switch it to build from git.

 gnu/packages/admin.scm    | 48 +++++++++++++++++++++++++++++++++++++++
 gnu/services/shepherd.scm |  2 +-
 2 files changed, 49 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c8f91aab0d..dbceaca5e5 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -307,6 +307,54 @@ (define-public shepherd
     (license license:gpl3+)
     (home-page "https://www.gnu.org/software/shepherd/")))
 
+;; This is the Shepherd package used by Guix.  This package variant
+;; allows us to add new features and fix bugs in Shepherd and use the
+;; new features in Guix, without having to go through the 'staging'
+;; branch, and without having to wait for a new release, see
+;; [TODO] in the manual.
+(define-public shepherd-for-guix
+  (let* ((version "0.8.1")
+         ;; If it's an unreleased commit:
+         (commit "7c380590164ea8ee40de46059d07e08a48963577")
+         ;; Use the below form if it's a release, and also set REVISION to #f.
+         ;; (commit (string-append "v" version))
+         (revision "1"))
+    (package
+      (inherit shepherd)
+      (version (if revision
+                   (git-version version revision commit)
+                   version))
+      (source
+       (origin
+         (inherit (package-source shepherd))
+         (method git-fetch)
+         (uri (git-reference
+               ;; Build from git and add Autotools inputs, to make developing
+               ;; Shepherd easier. It enables easier package inheritance.
+               (url "https://git.savannah.gnu.org/git/shepherd.git/")
+               (commit commit)))
+         (snippet #f) ; TODO delete this once parent is refactored.
+         (sha256
+          (base32
+           "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))))
+      ;; TODO merge this back into the parent with a patch to staging.
+      (arguments
+       (append
+        (package-arguments shepherd)
+        '(#:phases
+          (modify-phases %standard-phases
+            (add-after 'unpack 'patch-source
+              (lambda _
+                ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+                (substitute* "Makefile.am"
+                  (("compile --target")
+                   "compile -O1 --target"))))))))
+      (native-inputs
+       (modify-inputs (package-native-inputs shepherd)
+         (prepend autoconf automake gettext-minimal help2man texinfo)))
+      (description "A package variant for use in Guix. It helps lowering
+the build time of Guix when working on Shepherd."))))
+
 (define-public guile2.2-shepherd
   (package
     (inherit shepherd)
diff --git a/gnu/services/shepherd.scm b/gnu/services/shepherd.scm
index b44dbf9d9f..991194ffe6 100644
--- a/gnu/services/shepherd.scm
+++ b/gnu/services/shepherd.scm
@@ -88,7 +88,7 @@ (define-record-type* <shepherd-configuration>
   shepherd-configuration make-shepherd-configuration
   shepherd-configuration?
   (shepherd shepherd-configuration-shepherd
-            (default shepherd)) ; file-like
+            (default shepherd-for-guix)) ; file-like
   (services shepherd-configuration-services
             (default '()))) ; list of <shepherd-service>
 
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 08:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 03:48:40 2022
Received: from localhost ([127.0.0.1]:41431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPh8a-0000Xv-5Y
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 03:48:40 -0500
Received: from mail-il1-f170.google.com ([209.85.166.170]:37774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nPh8Y-0000Xf-AT
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 03:48:39 -0500
Received: by mail-il1-f170.google.com with SMTP id i14so3490486ilv.4
 for <54216 <at> debbugs.gnu.org>; Thu, 03 Mar 2022 00:48:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=igeg4Ozmcltzi65vkKHFPIrMdEKojrB8a8pQBOZAS9Q=;
 b=dTtQ6YX2ZBtsARnAdPIqpSHf69SAaJIKD5+f20ucAvBWvBks2PdIlzN+yvJ6l1XXQF
 /ZjBmZQsJsUCtCWzfmUDJ6llzx50bfTZlO7iclX51JJA3Lbr2SVzKc8DwqrtuHAzfuTM
 69EPW+hRehtkPzJalzAUXfCj+6Mf6XuyHZR4N4bwN1NGnW34WjZZsJDyK23l1gXQK0aY
 GLwAnB/pFBGy6q6Q479tCN9SXT7qhmwtEaEf3rPxMe3cbdBdxCR6nrgAHiVVAXlqo+Hl
 fDPNA7VIMw7vofCXMrwAQ/hyffBfgvI0cnJCN2IV0FE8+DFhhc+XG4rfkJxOEhHeveEH
 i6DQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=igeg4Ozmcltzi65vkKHFPIrMdEKojrB8a8pQBOZAS9Q=;
 b=PzN9puhpuMqMOmSIjxMDs2OLvqKXPp42t7hi5FnCFyK4zMhQ/ObIcHNHMl9dPMfNGB
 LliYjxak5DdbaHipkhREkYs4n/9chXsHgd9UT1qSi4vuysR4gw+A6n5e/h5hnr/LP4oB
 E0D7Ero2MZCGK+5dNABOQh1oKHu33ySacF+Gv7F6S0x9LvYKysg/hY+2JXjUAvf704qR
 hL49YsdBiC4NFET0kEqoVtfExSheCOS1FPwnkTTj9ntkdfVnaWg3lIRw2BX9zjlOu+HY
 0xx9qyzJCEmOluQvuxiPbHT14SaiG+YrxFrHesBPWkOK5stq8UqeqkGjh7s4wHhSc43G
 j0Fg==
X-Gm-Message-State: AOAM530JsfuF+FxtfM6XLcOCi8ZTBr8axc4iKV0K8wyw4jaulue/tF5v
 cTrNiUFTrEbH97I/m2pA/CBq1ckrXBnDU9EAkg0=
X-Google-Smtp-Source: ABdhPJxfhYGBMhPhf3MxjAPzq1jDfXzABN9bJ/HxG6zf3BialfStng76p1Afkhv3bbXzgi2qwMVw9MGMal0q/n4AEzA=
X-Received: by 2002:a05:6e02:1a0f:b0:2c1:a8db:a266 with SMTP id
 s15-20020a056e021a0f00b002c1a8dba266mr30837472ild.127.1646297312712; Thu, 03
 Mar 2022 00:48:32 -0800 (PST)
MIME-Version: 1.0
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
 <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
 <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
In-Reply-To: <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 3 Mar 2022 09:48:21 +0100
Message-ID: <CAJ3okZ2x6VTp-A1KBoXBc9+m-i3YZxK0-Cz9G_HJ8ufikmrWqQ@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Attila Lendvai <attila@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Maxime,

On Thu, 3 Mar 2022 at 07:25, Maxime Devos <maximedevos@HIDDEN> wrote:
> Leo Famulari schreef op wo 02-03-2022 om 18:50 [-0500]:

> > Origin snippets should only be used to remove nonfree things
> > from the upstream source code. All other changes should use
> > patch files or a build phase.
>
> Why?  If it's a source code change and it fits an origin snippet,
> why not an origin snippet?  Why would the source in Guix need to match
> the source upstream?

Because as I tried to explain here [1] ;-)

1: <https://issues.guix.gnu.org/54216#5>

a) the location of patches depending of their nature is **not well-documented**,
b) because it is a tension between two intentions,
c) and thus we never take the time to clearly document for consistency.

FWIW, it would be unfair for the patch to have the discussion here.

As Leo, I also think this source modification should go to a phase.


> Also, in this case, it was just copied from the 'shepherd' packages
> with some slight adjustments.

And I also think this recent commit
79be6a985799adc6d663890250f4fb7c12f015b4 introducing the 'snippet' is
unfortunate.  And it should be fixed, i.e., move the substitution to a
phase.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 3 Mar 2022 06:25:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 01:25:32 2022
Received: from localhost ([127.0.0.1]:41206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPeu3-00033H-Nk
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2022 01:25:31 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:60486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nPeu1-000336-UN
 for 54216 <at> debbugs.gnu.org; Thu, 03 Mar 2022 01:25:30 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id 1iRT270074UW6Th01iRTgx; Thu, 03 Mar 2022 07:25:28 +0100
Message-ID: <5d684728965ec36c604e9b77f650055269e8588e.camel@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
From: Maxime Devos <maximedevos@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>, 
 Attila Lendvai <attila@HIDDEN>
Date: Thu, 03 Mar 2022 07:25:22 +0100
In-Reply-To: <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
 <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-WW8yTBiHD2ixfuMngMa4"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1646288728; bh=eqdkb8N9ALbq5sQy+F88Azn1+6/JNss5z4Z1+4y/rcw=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=cZPcERz9TzG0tKuNasidRROeo48pUTvoXb3EkMxsn80sk47cgz6RSwG4imHbMVzFl
 ClZAUhvvPzRvfymqAGFhl4+OUmbdoS0PSJrbnXkGhv6y16mg2VKd2JQi95Oa6ecT81
 mCJCa3H/rrQgO2G5kYxNUYS7vQalKEBkdFjFlGGlYKslOqxQUdSndA8oxNncoCUg5G
 UrO6RBhFCjqqfl011UPjIzYDiVuBTmVZmYyRN7rnmmjf/FyKrrZEGJypXu8cJt1uTZ
 /MgaLBZhUD/rm/KD28wDjjcWl1mD0ZigzUSe5slXYZ/w4T9R7QVtubvU4Sl/SRydXf
 5K4gpvMEwfMiA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-WW8yTBiHD2ixfuMngMa4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Leo Famulari schreef op wo 02-03-2022 om 18:50 [-0500]:
> Origin snippets should only be used to remove nonfree things
> from the upstream source code. All other changes should use
> patch files or a build phase.

Why?  If it's a source code change and it fits an origin snippet,
why not an origin snippet?  Why would the source in Guix need to match
the source upstream?

Also, in this case, it was just copied from the 'shepherd' packages
with some slight adjustments.

Greetings,
Maxime.=20

--=-WW8yTBiHD2ixfuMngMa4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYiBfUhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7k2EAP0fwF69dGCSropJiI9wZOoGJajK
ax+vkxBYwF4fyDFkGwEAm9wtLGoZp7kmPyzmcrurKuqBFHZugItG2lTy+cmszwg=
=WDX3
-----END PGP SIGNATURE-----

--=-WW8yTBiHD2ixfuMngMa4--





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 2 Mar 2022 23:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 02 18:50:54 2022
Received: from localhost ([127.0.0.1]:41039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPYkA-0001pT-58
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2022 18:50:54 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:59115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1nPYk7-0001pD-NX
 for 54216 <at> debbugs.gnu.org; Wed, 02 Mar 2022 18:50:52 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.west.internal (Postfix) with ESMTP id 71FA73200E51;
 Wed,  2 Mar 2022 18:50:44 -0500 (EST)
Received: from imap48 ([10.202.2.98])
 by compute2.internal (MEProxy); Wed, 02 Mar 2022 18:50:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:cc:content-type:date:date:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to; s=mesmtp; bh=QMtWLgDaKMk7OpySmX9MBXGedGD
 /Q0U+KpDO+nA//Yg=; b=KD/sysp3vKuWfJ6q9bXnxXXcflUeDDZXzAs71v8emqP
 VKdfYIRdTznHhxzPssn0kFBqr+RcM5T2Lnd6i7xTOaM7IAYM0cURvB0N2X5CjpjH
 hzivwQchff0y8bzSdF2Ie8upL1SM29PfvDjr7AojfbZ55l11xZA6KRfzv8kleo4s
 =
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=QMtWLgDaKMk7OpySm
 X9MBXGedGD/Q0U+KpDO+nA//Yg=; b=FMQfD0bK1YMNwkzUdoj3ZxNOcmww0CMO5
 EB/v4NMuT5LUuPD8UPGJlIhw1hxXtwdSHlSKcYp+Soez+6Fd376GVn+vOwq0GBim
 ezKBiJZxfYbuUKREcY52UcBTh4FB/nel2EyvcGWCCydv8Gvc4i3PPBdY2php2Qr5
 wiWiZRukdOU6iSEb4CflSF18D8fE1JiRtRnAvhldXNd2q47QMxqNGsDq2LoF8AhI
 Eq5U8BbWHVkjLTChEEtyLOv4yL0OHfqxLLHtdvhnVJz30dxDXpk3nN//XQFM0T8x
 /igZVxkBSUIsTHw8HDnrox1jhDonRSiMA7QymhGcswrw2aNpamXSQ==
X-ME-Sender: <xms:0wIgYswm6PhroqFS7JEkRGjwxFA7r6nTMp1EjrWAdqhUTEqACO_M-A>
 <xme:0wIgYgTpuYF3J0kgdss6ZLWDHmIKijAvPqBOcvepiwAQqay2ZEU6kZUzRk0fXJgep
 l0mTe-Hmdn011C18g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddruddthedgudeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepofgfggfkjghffffhvffutgesthdtredtreertdenucfhrhhomhepfdfnvgho
 ucfhrghmuhhlrghrihdfuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrf
 grthhtvghrnhepkedvheeutdetueeigeevhffhvdeihfekleetfeffgeevhfehtdetfeei
 ueejtefhnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 eplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:0wIgYuUmkoIP3fxXXrPthzIHVM_w7ZKBUEmDeYu6SpQGmfBUUB7ouQ>
 <xmx:0wIgYqi5K50c0Az5j6DlogwnLKchKJm2OhPnEgbYvLEH_pDmMQaOFQ>
 <xmx:0wIgYuDAjkecaFYH-PLWhP2yEXVCoj1Kk7atH1r5TzffBAx2uLy8Jw>
 <xmx:0wIgYv5RkbOodsZLqrwc5JLbtJPK899zsGM-boruEj5Ttde165F0wQ>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id A15FC21E006E; Wed,  2 Mar 2022 18:50:43 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-4778-g14fba9972e-fm-20220217.001-g14fba997
Mime-Version: 1.0
Message-Id: <15fbca84-83ed-43cd-9bd4-e187ccadf4ec@HIDDEN>
In-Reply-To: <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
 <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
Date: Wed, 02 Mar 2022 18:50:24 -0500
From: "Leo Famulari" <leo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, "Attila Lendvai" <attila@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Origin snippets should only be used to remove nonfree things from the upstream source code. All other changes should use patch files or a build phase.

On Wed, Mar 2, 2022, at 04:14, zimoun wrote:
> Hi Attila,
>
> On Tue, 1 Mar 2022 at 20:42, Attila Lendvai <attila@HIDDEN> wrote:
>
>> unfortunately, it won't help us much here, because one snippet modifies
>> Makefile.am, while the other Makefile.in.
>
> Guix does not have a clear line for patching (or I am not aware of the
> update); what is going to source+snippet vs arguments+phase.  Pros and
> cons for both; basically the question is what "guix build --source"
> should return?
>
> Option source+snippet means it returns the source of what Guix really
> builds -- so many packages would not respect this rule of thumb.
>
> Option arguments+phase means it returns the real unmodified upstream
> source (modulo removal of non-free) -- so "guix shell -D foo" would
> break for many packages.
>
> Difficult tension. :-)  For most cases, not an unique answer; maybe
> that's why we do not have a clear documentation. :-)  I just mention
> it i.e., I am not saying you can do something. :-)  I am simply
> pointing that Guix does not have a clear recommendation /
> documentation where the patches should go; probably depending on their
> nature.  Well, nothing related with your patch. :-)
>
> That's said, personally, in this case, instead of having the Makefile*
> patch in 'source', I would do the patching using a phase.
>
> Cheers,
> simon




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 2 Mar 2022 09:14:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 02 04:14:21 2022
Received: from localhost ([127.0.0.1]:39077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nPL3s-0006A1-OL
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2022 04:14:20 -0500
Received: from mail-pj1-f47.google.com ([209.85.216.47]:41933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1nPL3q-00069n-SJ
 for 54216 <at> debbugs.gnu.org; Wed, 02 Mar 2022 04:14:19 -0500
Received: by mail-pj1-f47.google.com with SMTP id
 ev16-20020a17090aead000b001bc3835fea8so1284658pjb.0
 for <54216 <at> debbugs.gnu.org>; Wed, 02 Mar 2022 01:14:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=PhGEVvlMXp44S+R575yzguHTup86VGrxXzwVOs2BSFU=;
 b=LYrWySBd/9ggwckKTK+SZfQ3qTD/utKdM2houPU5MTOowewIv79terwvgTCtx5Fqsy
 hqD+6r1DQgpFV1gFYZ2Gt3djanj+ycXmgS8qrc1CSMSCtby2o65PJi/TflKvQeabBdvv
 EZ3K6od0A2k6tH66BZLJhUORxPGGXphNHjf+XCNBHHwwYXSBMKd1NR04e6nlmqaOBsxq
 WI9v9KUpax+EsmkcCsgeRRmG+fqHoIt70T83jWSG+8z8Y4jJfi1eyDLp+DRoj3fWJBS9
 nFG4SS6O44/GaJ8sXNyiSO+agv4LJp+AOYFXCkHgcXOCALiJAblXH+R7M6xDQjBplEGV
 1vEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=PhGEVvlMXp44S+R575yzguHTup86VGrxXzwVOs2BSFU=;
 b=CO7QwGf1OE6OE3iUepUbuf6YrvgASllhHURgk+ChLrrTgmsXf3ZbkJaxR7nzuRVZbW
 i2yh2+0XrPYliqEh3T+QORwdGFwSm3OaC1VomDyOSVso85RmYKTwb/R0u3pG7jtpWGDD
 xzMgxzII81HzdzOPxeOXwIXoIvBtlf4H3Y1ypgKNei8iFlh6e8b4GTTbddcoIDnfftIG
 LtiOwyzorLQA/ZZsgzgimEtp79/KO/qZP2m0S3pl12EigcGi8st6AWOAz/HT9OteiBM6
 2v3YSXKBoQASE17N4kGT8Aa2qIlq0uT+3m6Vq9+l4yjptJ6BpMruQ6A3r7KLMn+n0dol
 19IQ==
X-Gm-Message-State: AOAM533LOg4AxH2OL1L6teJeAiIiZ9lLAk8RZ92RRORpsdw/4ScEWsrB
 1sU6LWXiIAWTeV+JCNyuuaCpa5NwkETNYC/cHpU=
X-Google-Smtp-Source: ABdhPJyEkLNQQICgmQ2+Hu7XNVTplg7HjQG73uhPvH0LtB8VRzFtr1AShCztETK1GAXnfru4TLm90wEhWkNgr13Xil0=
X-Received: by 2002:a17:90a:ec09:b0:1bc:d7c2:b2d5 with SMTP id
 l9-20020a17090aec0900b001bcd7c2b2d5mr25657004pjy.22.1646212453072; Wed, 02
 Mar 2022 01:14:13 -0800 (PST)
MIME-Version: 1.0
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
 <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
In-Reply-To: <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 2 Mar 2022 10:14:01 +0100
Message-ID: <CAJ3okZ1vah5XFy3BVoc=hv0Ke5GxT+3M3uYo2CTNRZyPHz-mAQ@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
To: Attila Lendvai <attila@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org, Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Attila,

On Tue, 1 Mar 2022 at 20:42, Attila Lendvai <attila@HIDDEN> wrote:

> unfortunately, it won't help us much here, because one snippet modifies
> Makefile.am, while the other Makefile.in.

Guix does not have a clear line for patching (or I am not aware of the
update); what is going to source+snippet vs arguments+phase.  Pros and
cons for both; basically the question is what "guix build --source"
should return?

Option source+snippet means it returns the source of what Guix really
builds -- so many packages would not respect this rule of thumb.

Option arguments+phase means it returns the real unmodified upstream
source (modulo removal of non-free) -- so "guix shell -D foo" would
break for many packages.

Difficult tension. :-)  For most cases, not an unique answer; maybe
that's why we do not have a clear documentation. :-)  I just mention
it i.e., I am not saying you can do something. :-)  I am simply
pointing that Guix does not have a clear recommendation /
documentation where the patches should go; probably depending on their
nature.  Well, nothing related with your patch. :-)

That's said, personally, in this case, instead of having the Makefile*
patch in 'source', I would do the patching using a phase.

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 1 Mar 2022 19:27:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 01 14:27:51 2022
Received: from localhost ([127.0.0.1]:38321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nP89u-0006I4-Li
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 14:27:51 -0500
Received: from mail-4317.proton.ch ([185.70.43.17]:12692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1nP89s-0006Hp-Em
 for 54216 <at> debbugs.gnu.org; Tue, 01 Mar 2022 14:27:41 -0500
Date: Tue, 01 Mar 2022 19:27:31 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail3; t=1646162852;
 bh=n/gl6ztsgYPgfrptlfT6EJnvGaCguQ74jagYO9hlGgE=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=Pkb+ZEqv7aOn+bxsdIoF0KqlBy8D2XFMN7l1tZmLLYfi3WwvbPlZektR31mm8kCl+
 Fyy8M6WBFMsNCc9jhEs86JxIFSJD6QAqKlrlXLfvtvrcFf2RxX87n4geRjZb11nInh
 2azn5zKuOrtmHcJmE4RX/LJ7MGa8HlYJLNlMD3A8MnKpUfa2soJfyFBJOqWgXSHdmw
 I8KbC00GBeA62cw7iOcBvOUeBqn3mIMazo7pmmGskPWDAFeVl/556V8IS9Ag7GrYaB
 gmJlSStQzl+qe0GweNM0BwPpqCwVfVUqhcZfC9mYbwlXsON5WFnqt0ixJmXjefpcxD
 bktuph6/wtOrQ==
To: Maxime Devos <maximedevos@HIDDEN>
From: Attila Lendvai <attila@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
Message-ID: <aJFlM3mC27rhgpJ7Mr5IN7Zyb84HRFfGSJinSMwiKWGxoY8t6gjmUatPyK2y_S8PNSqHgnTUbGJ3NDoiNHDnjN2rHVbi80WbUntglsXEO1s=@lendvai.name>
In-Reply-To: <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
 <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,T_SCC_BODY_TEXT_LINE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54216
Cc: 54216 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> This origin record can be simplified a bit by using inheritance:
>
> (origin
> (inherit (package-source shepherd))
> (method git-fetch)
> (uri (git-reference [...]))
> (sha256 [...]))
>
> 'inherit' is not restricted to packages, it can be used for any record
> type defined with (guix records)!


oh, excellent point, thanks Maxime!

unfortunately, it won't help us much here, because one snippet modifies
Makefile.am, while the other Makefile.in.

once it's merged i'm planning to send another patch to staging that will cl=
ean
this up a little by building normal shepherd also from git. that patch will
include this inheritance.

--
=E2=80=A2 attila lendvai
=E2=80=A2 PGP: 963F 5D5F 45C7 DFCD 0A39
--
The truth cannot be told, only realized.





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 1 Mar 2022 19:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 01 14:01:12 2022
Received: from localhost ([127.0.0.1]:38289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nP7kG-0005cV-1i
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 14:01:12 -0500
Received: from andre.telenet-ops.be ([195.130.132.53]:58754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nP7kD-0005cM-O8
 for 54216 <at> debbugs.gnu.org; Tue, 01 Mar 2022 14:01:10 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id 17172700h4UW6Th01717N2; Tue, 01 Mar 2022 20:01:07 +0100
Message-ID: <992c3326a10e0bb28491f8226ebbe84aa93ad9ca.camel@HIDDEN>
Subject: Re: [bug#54216] [PATCH v2] gnu: shepherd-for-guix: New package for
 use in Guix.
From: Maxime Devos <maximedevos@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>, 54216 <at> debbugs.gnu.org
Date: Tue, 01 Mar 2022 20:01:01 +0100
In-Reply-To: <20220301184517.13439-1-attila@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
 <20220301184517.13439-1-attila@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-+1ptaIg0J11s+ot4v+zu"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1646161267; bh=U8unOB/gKvPML0IZ4j65bW7gk8+9D/0hYzK/D3OoTvA=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=WYz45jjs+SuXX8983/wIYE55EfX6b3n0HdM4J2CSPVN7dtNwhnhqAgFNlTPCiCo67
 vRa5zM5557wmVhKgX/6yOpzf+qyvN8LXVWIb7R6Ey5ZGk9lM/pRVW9VzZupR6KH4O/
 EkcXcMg8hLp5GNvPbwUbHN7lZn3fjESFPC2fYIYE8cvr9MngXS843ycRbOo4KeJOss
 etDNHtLGCiRejwDf+COxvRbF0g7m1GRtbrjTO1sR8HB6rOIBYqDZQEojFBNpQ+Nd0p
 BP3VKllyuDWoaIiERbg9u57tuWQsNhGm6Iq0i7WQLzYYzjH+QbOl0wg6q6Uc5b6uEq
 sjDTSRuakS+eA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-+1ptaIg0J11s+ot4v+zu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

QXR0aWxhIExlbmR2YWkgc2NocmVlZiBvcCBkaSAwMS0wMy0yMDIyIG9tIDE5OjQ1IFsrMDEwMF06
Cj4gK8KgwqDCoMKgwqDCoCAob3JpZ2luCj4gK8KgwqDCoMKgwqDCoMKgwqAgKG1ldGhvZCBnaXQt
ZmV0Y2gpCj4gK8KgwqDCoMKgwqDCoMKgwqAgKHVyaSAoZ2l0LXJlZmVyZW5jZQo+ICvCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgIDs7IEJ1aWxkIGZyb20gZ2l0IGFuZCBhZGQgQXV0b3Rvb2xz
IGlucHV0cywgdG8gbWFrZSBkZXZlbG9waW5nCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqAgOzsgU2hlcGhlcmQgZWFzaWVyLiBJdCBlbmFibGVzIGVhc2llciBwYWNrYWdlIGluaGVyaXRh
bmNlLgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICh1cmwgImh0dHBzOi8vZ2l0LnNh
dmFubmFoLmdudS5vcmcvZ2l0L3NoZXBoZXJkLmdpdC8iKQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgIChjb21taXQgY29tbWl0KSkpCj4gK8KgwqDCoMKgwqDCoMKgwqAgKHNoYTI1Ngo+
ICvCoMKgwqDCoMKgwqDCoMKgwqAgKGJhc2UzMgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoCAiMWhn
a2JsM2Z5endpNXZ3NjNrYmtzd25mM3ZpeWZsNTJjNWR6a3g3dmJrcjRzajV5c3oxZyIpKQo+ICvC
oMKgwqDCoMKgwqDCoMKgIChtb2R1bGVzICcoKGd1aXggYnVpbGQgdXRpbHMpKSkKPiArwqDCoMKg
wqDCoMKgwqDCoCAoc25pcHBldAo+ICvCoMKgwqDCoMKgwqDCoMKgwqAgJyhiZWdpbgo+ICvCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqAgOzsgQnVpbGQgd2l0aCAtTzEgdG8gd29yayBhcm91bmQgPGh0
dHBzOi8vYnVncy5nbnUub3JnLzQ4MzY4Pi4KPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChz
dWJzdGl0dXRlKiAiTWFrZWZpbGUuYW0iCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAg
KCgiY29tcGlsZSAtLXRhcmdldCIpCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAi
Y29tcGlsZSAtTzEgLS10YXJnZXQiKSkpKSkKClRoaXMgb3JpZ2luIHJlY29yZCBjYW4gYmUgc2lt
cGxpZmllZCBhIGJpdCBieSB1c2luZyBpbmhlcml0YW5jZToKCihvcmlnaW4KICAoaW5oZXJpdCAo
cGFja2FnZS1zb3VyY2Ugc2hlcGhlcmQpKQogIChtZXRob2QgZ2l0LWZldGNoKQogICh1cmkgKGdp
dC1yZWZlcmVuY2UgWy4uLl0pKQogIChzaGEyNTYgWy4uLl0pKQoKJ2luaGVyaXQnIGlzIG5vdCBy
ZXN0cmljdGVkIHRvIHBhY2thZ2VzLCBpdCBjYW4gYmUgdXNlZCBmb3IgYW55IHJlY29yZAp0eXBl
IGRlZmluZWQgd2l0aCAoZ3VpeCByZWNvcmRzKSEKCkdyZWV0aW5ncywKTWF4aW1lLgo=


--=-+1ptaIg0J11s+ot4v+zu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYh5tbRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sGnAQCD7dlBivKmf/JOz5LEAx7iebfC
R5UXY2zvhWhtQGs85gEA/CaUc1XmQhoRmLOh+ufyaa8ZdI4t8oLiwX0cZJDxpgI=
=uqpn
-----END PGP SIGNATURE-----

--=-+1ptaIg0J11s+ot4v+zu--





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 1 Mar 2022 18:46:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 01 13:46:34 2022
Received: from localhost ([127.0.0.1]:38226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nP7W6-00058Y-71
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:46:34 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:38835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nP7W4-00058L-3J
 for 54216 <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:46:32 -0500
Received: by mail-wr1-f44.google.com with SMTP id t11so962857wrm.5
 for <54216 <at> debbugs.gnu.org>; Tue, 01 Mar 2022 10:46:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=6tTgkj7PeFvN6gJCgdjOZABdX5Mxxt59FdsBMmNwAbE=;
 b=NngXnOoxUxlSsPC45V43imbg/yTge0yJa+VaxGTGjIufyS3c7IS+TGBZNnTgazvKEx
 qj+kNvzfk1WgqKSfnrVOmvf6Qz31K1kuazv/6x+9S+XeVIXpoFPQ2xNjSVatvq612LEY
 CxnaiYBjhuz90NJT2JV6yAvDt1GEFQ1Me02AhFbp9Wx9cDzKsqGC13TpX+uSKttwb50W
 PH42HFIm4nSAA80/+rsr2OdQUANAOg1e9NiVXrwQJEjWeRpf5ViwdKfxKWwOMUXFCKgu
 We7Eq6bTpugPL+SrZZwG/x/ehubmMrC7JMTl326YHQFUCcNr1CAdbFMWuKRvdE1Fm6Oh
 APyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=6tTgkj7PeFvN6gJCgdjOZABdX5Mxxt59FdsBMmNwAbE=;
 b=WnXBgk2kdv4bHfhayvLpm4fwjOoycb0H5JxojnjhyiNSNuJgIxplBp62tmzKNeclve
 ImV8tbtlnbxwc/8Mn5JNsxrYXAPD0n6VBGL9sIjafksFiIVOHaDUjInJezaoLlCYJYTN
 PLFXl5ZqEg9aEBd5RsbRLKBk5LZonlyCsU+1KKWaARaN/Xh9FyUYC6W5118idrWptlsD
 63rD7SibjXjb4/ValFE7HZLu2eTqUMtsqLw9tnVr1cYDzowhz5z89GHYNrEMFFqAxfMK
 LCOHq5Lxyt4RYY8t2o0/5Hqgy7It1Op1Vfj9jclePuJVKWyoa8/QdKHo+qqdbhFX26ni
 XPyg==
X-Gm-Message-State: AOAM532GOhO4Hia2RonuHGxN3HMZvF0/LOUR45phwcTkGdEhbJ7VN0vG
 h4vFX3E73Zy065Khykb9TCvl4Ii7R7Y=
X-Google-Smtp-Source: ABdhPJx8XiVfrqJ1lBkpNedi/a8pajEeV34t2UO186OL7loOS/gjxLCN1St1k86xjRcWGtBWxFbu8w==
X-Received: by 2002:adf:a150:0:b0:1ee:72f9:7c07 with SMTP id
 r16-20020adfa150000000b001ee72f97c07mr19573830wrr.674.1646160386108; 
 Tue, 01 Mar 2022 10:46:26 -0800 (PST)
Received: from localhost.localdomain
 ([2a02:ab88:3710:7c80:9130:5abf:96b3:dc0c])
 by smtp.gmail.com with ESMTPSA id
 z5-20020a05600c0a0500b0037bb8df81a2sm4276047wmp.13.2022.03.01.10.46.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Mar 2022 10:46:25 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: 54216 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: shepherd-for-guix: New package for use in Guix.
Date: Tue,  1 Mar 2022 19:45:18 +0100
Message-Id: <20220301184517.13439-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54216
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This also updates shepherd-for-guix to the latest commit, so that the two
variants have a different version.

* gnu/packages/admin.scm (shepherd-for-guix): New variable.
---

v2: add the recommended comment and some edits to the other comments.

 gnu/packages/admin.scm    | 41 +++++++++++++++++++++++++++++++++++++++
 gnu/services/shepherd.scm |  2 +-
 2 files changed, 42 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c8f91aab0d..f43526b7d9 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -307,6 +307,47 @@ (define-public shepherd
     (license license:gpl3+)
     (home-page "https://www.gnu.org/software/shepherd/")))
 
+;; This is the Shepherd package used by Guix.  This package variant
+;; allows us to add new features and fix bugs in Shepherd and use the
+;; new features in Guix, without having to go through the 'staging'
+;; branch, and without having to wait for a new release, see
+;; [TODO] in the manual.
+(define-public shepherd-for-guix
+  (let* ((version "0.8.1")
+         ;; If it's an unreleased commit:
+         (commit "7c380590164ea8ee40de46059d07e08a48963577")
+         ;; Use the below form if it's a release, and also set REVISION to #f.
+         ;; (commit (string-append "v" version))
+         (revision "1"))
+    (package
+      (inherit shepherd)
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               ;; Build from git and add Autotools inputs, to make developing
+               ;; Shepherd easier. It enables easier package inheritance.
+               (url "https://git.savannah.gnu.org/git/shepherd.git/")
+               (commit commit)))
+         (sha256
+          (base32
+           "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))
+         (modules '((guix build utils)))
+         (snippet
+          '(begin
+             ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+             (substitute* "Makefile.am"
+               (("compile --target")
+                "compile -O1 --target"))))))
+      (version (if revision
+                   (git-version version revision commit)
+                   version))
+      (native-inputs
+       (modify-inputs (package-native-inputs shepherd)
+         (prepend autoconf automake gettext-minimal help2man texinfo)))
+      (description "A package variant for use in Guix. It helps lowering
+the build time of Guix when working on Shepherd."))))
+
 (define-public guile2.2-shepherd
   (package
     (inherit shepherd)
diff --git a/gnu/services/shepherd.scm b/gnu/services/shepherd.scm
index b44dbf9d9f..991194ffe6 100644
--- a/gnu/services/shepherd.scm
+++ b/gnu/services/shepherd.scm
@@ -88,7 +88,7 @@ (define-record-type* <shepherd-configuration>
   shepherd-configuration make-shepherd-configuration
   shepherd-configuration?
   (shepherd shepherd-configuration-shepherd
-            (default shepherd)) ; file-like
+            (default shepherd-for-guix)) ; file-like
   (services shepherd-configuration-services
             (default '()))) ; list of <shepherd-service>
 
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at 54216 <at> debbugs.gnu.org:


Received: (at 54216) by debbugs.gnu.org; 1 Mar 2022 18:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 01 13:36:33 2022
Received: from localhost ([127.0.0.1]:38208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nP7MP-0004sU-E2
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:36:33 -0500
Received: from baptiste.telenet-ops.be ([195.130.132.51]:46212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nP7MN-0004sL-Vl
 for 54216 <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:36:32 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id 16cW2700A4UW6Th016cW6m; Tue, 01 Mar 2022 19:36:30 +0100
Message-ID: <1e592355030a6a07a2fb1dba203508353764c2cc.camel@HIDDEN>
Subject: Re: [bug#54216] [PATCH] gnu: shepherd-for-guix: New package for use
 in Guix.
From: Maxime Devos <maximedevos@HIDDEN>
To: Attila Lendvai <attila@HIDDEN>, 54216 <at> debbugs.gnu.org
Date: Tue, 01 Mar 2022 19:36:30 +0100
In-Reply-To: <20220301182848.26694-1-attila@HIDDEN>
References: <20220301182848.26694-1-attila@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-2NTRxFpbpoKO5iMJjfZf"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1646159790; bh=FUvUaOXKoGc8IF4WZnFk8sKur5LUBOpONThlcw9BFm4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=VHfLtZPUBz0MBlRbHUlgTDhTITA1kEbmQsq9VU+WGOmzeulJbEfaxGvKinEfckfJk
 EArITIGpoapSQOd/+Pkxfll3w55QfNbnMlMFZ79HZLPDqZP97iFPcVDDTptVKBtfkP
 hYu9FbsJ6DtoNY6xfQQGryg4CPb6N3yovVPZ5tix8wBRz29ObqCxAJy4Cp8UMhNghW
 5viRixR5Tiqrx88v4iGhz3V96o9ifkFcNIf+xpK9MYyByAgUOXSxQNseZOjdFj3lLl
 Fk8JmbMmIo4o2kXpF/nxFoEdRUkFLAs6+nY9/KgaKp+dnBLa6Ro87IO4s7PF1UyxW6
 wFkhsMfgY9hkw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54216
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-2NTRxFpbpoKO5iMJjfZf
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Attila Lendvai schreef op di 01-03-2022 om 19:28 [+0100]:
> This increases the flexibility to inherit from this package, and to use
> a non-yet-released version of Shepherd in a Guix build while working on
> Shepherd.
>=20
> IOW, it makes it easier to update Shepherd without going through staging
> and/or rebuilding several dependant packages.
>=20
> This also updates Shepherd to the latest commit, so that the two variants
> have a different version.
>=20
> * gnu/packages/admin.scm (shepherd-for-guix): New variable.
> ---
>=20
> once it's merged, i'll send another patch to staging that will simplify t=
his.
>=20
> =C2=A0gnu/packages/admin.scm=C2=A0=C2=A0=C2=A0 | 36 +++++++++++++++++++++=
+++++++++++++++
> =C2=A0gnu/services/shepherd.scm |=C2=A0 2 +-
> =C2=A02 files changed, 37 insertions(+), 1 deletion(-)
>=20
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index c8f91aab0d..3c02b16f34 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -307,6 +307,42 @@ (define-public shepherd
> =C2=A0=C2=A0=C2=A0=C2=A0 (license license:gpl3+)
> =C2=A0=C2=A0=C2=A0=C2=A0 (home-page "https://www.gnu.org/software/shepher=
d/")))
> =C2=A0
> +(define-public shepherd-for-guix


Perhaps the explanation what's it for could be moved to a comment next
to 'shepherd-for-guix'?  Perhaps:

;; This is the Shepherd package used by Guix.  This package variant
;; allows us to add new features and fix bugs in Shepherd and use the
;; new features in Guix, without having to go through the 'staging'
;; branch and without having to wait for a new release, see
;; [...] in the manual.
(define-public shepherd-for-guix ...)

Greetings,
Maxime.

--=-2NTRxFpbpoKO5iMJjfZf
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYh5nrhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ueEAP95kzRqrU9RkmGjd9WwlBeG9gYM
6LjNlBS94zplgVXAgwEA+AvoZHmFtEPmDHgFze2XVJmb80WeTcHekIWEzMC/CQs=
=m3pN
-----END PGP SIGNATURE-----

--=-2NTRxFpbpoKO5iMJjfZf--





Information forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Mar 2022 18:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 01 13:30:42 2022
Received: from localhost ([127.0.0.1]:38183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nP7Gj-0004hs-ST
	for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:30:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:36008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila.lendvai@HIDDEN>) id 1nP7Gi-0004hl-F6
 for submit <at> debbugs.gnu.org; Tue, 01 Mar 2022 13:30:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58512)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nP7Gi-0002na-8W
 for guix-patches@HIDDEN; Tue, 01 Mar 2022 13:30:40 -0500
Received: from [2a00:1450:4864:20::429] (port=42956
 helo=mail-wr1-x429.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <attila.lendvai@HIDDEN>)
 id 1nP7Gg-0006St-4A
 for guix-patches@HIDDEN; Tue, 01 Mar 2022 13:30:39 -0500
Received: by mail-wr1-x429.google.com with SMTP id d17so21869436wrc.9
 for <guix-patches@HIDDEN>; Tue, 01 Mar 2022 10:30:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+XGDEfWWkuC50EQZehiHj0D7uwfFZm55Ci4V/HLmztE=;
 b=lJsfEIqzDWjTMPvIiQTXyJyzgfEFkK6aq3d2hEBlrJ1pPZjgpE+RTHNYiJvm4giPNZ
 k1+R5f3rwIpL2SOROdeQ48twnf42+ApuOJLmazOv3ZQKCNa2sbIBw/eRXhOrnPxbDZS+
 U9/2MpYCm1NCz+Q3EOXhOS9foOOaIvO61ndeun8zL8tVD6gS4XTAXiYdoZZl+Ho0L5vX
 99kI+Ai//IEuTzAL0XBwH2+bwYwsPqGOT3X3R3OxvN3mWuXv87FTFh57kcJ23PfUsmcb
 0Few2WlQISIMszQhagAY75UedpKRjMM8wwCibN8vRR1ll5A5BeH5qlJuNgA0Xnw+RkiW
 wTag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding;
 bh=+XGDEfWWkuC50EQZehiHj0D7uwfFZm55Ci4V/HLmztE=;
 b=r8ILzfZ+2fgiDU+/iBSD6n3POkqml/aN8ju4SDldibYnqa05FSO/caqhYtM0GUwKfK
 CgruFFFYCvO2Zx49LmhfywuWohffqLbbJT13YWmf+QBbFJxxrS+mVa+UbZ0ipZQ2yq+l
 61X1eGv3hLb6zVd2Zo/LCGUAz4Dx8Tm97FeOf5usFwHWf+gl0zO/F+rF26+SPUsXho7o
 CzsKXDq6Ydb/UZOAI9O5SjQfda6u7yxICjEQbt6fpyvUnk8O9zNGMMrOx28OI9A+9xbX
 0VMdr/LFq+M7sg8M53o/uSkaBFBVibhsrZKkJeUdc8n8yr0n9k0A4P66/mPkDOQLmzsl
 dQrQ==
X-Gm-Message-State: AOAM5319VsVnfTMZ/ceTrBGZYiiamA122rmCNoKjSMotrIisorse7seV
 lodBK79fUXXbzA0VZEHQyJFWiI0/0hA=
X-Google-Smtp-Source: ABdhPJzUlUt6sbGniJogJbDHfosSXKxCfh5UUWWscz4NZvwCcSFQiF4wezFtewQPuXvg6P5VbqrWcQ==
X-Received: by 2002:a5d:568d:0:b0:1ed:e3d4:580a with SMTP id
 f13-20020a5d568d000000b001ede3d4580amr20477046wrv.391.1646159434902; 
 Tue, 01 Mar 2022 10:30:34 -0800 (PST)
Received: from localhost.localdomain
 ([2a02:ab88:3710:7c80:9130:5abf:96b3:dc0c])
 by smtp.gmail.com with ESMTPSA id
 j6-20020adfe506000000b001f00d7c38e8sm2874831wrm.93.2022.03.01.10.30.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Mar 2022 10:30:34 -0800 (PST)
From: Attila Lendvai <attila@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: shepherd-for-guix: New package for use in Guix.
Date: Tue,  1 Mar 2022 19:28:49 +0100
Message-Id: <20220301182848.26694-1-attila@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::429
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::429;
 envelope-from=attila.lendvai@HIDDEN; helo=mail-wr1-x429.google.com
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: Attila Lendvai <attila@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

This increases the flexibility to inherit from this package, and to use
a non-yet-released version of Shepherd in a Guix build while working on
Shepherd.

IOW, it makes it easier to update Shepherd without going through staging
and/or rebuilding several dependant packages.

This also updates Shepherd to the latest commit, so that the two variants
have a different version.

* gnu/packages/admin.scm (shepherd-for-guix): New variable.
---

once it's merged, i'll send another patch to staging that will simplify this.

 gnu/packages/admin.scm    | 36 ++++++++++++++++++++++++++++++++++++
 gnu/services/shepherd.scm |  2 +-
 2 files changed, 37 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index c8f91aab0d..3c02b16f34 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -307,6 +307,42 @@ (define-public shepherd
     (license license:gpl3+)
     (home-page "https://www.gnu.org/software/shepherd/")))
 
+(define-public shepherd-for-guix
+  (let* ((version "0.8.1")
+         ;; If it's an unreleased commit:
+         (commit "7c380590164ea8ee40de46059d07e08a48963577")
+         ;; Use the below if it's a release, and set REVISION to #f.
+         ;; (commit (string-append "v" version))
+         (revision "1"))
+    (package
+      (inherit shepherd)
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               ;; Build from git and add Autotools inputs, to make developing
+               ;; Shepherd easier. It enables easier package inheritance.
+               (url "https://git.savannah.gnu.org/git/shepherd.git/")
+               (commit commit)))
+         (sha256
+          (base32
+           "1hgkbl3fyzwi5vw63kbkswnf3viyfl52c5dzkx7vbkr4sj5ysz1g"))
+         (modules '((guix build utils)))
+         (snippet
+          '(begin
+             ;; Build with -O1 to work around <https://bugs.gnu.org/48368>.
+             (substitute* "Makefile.am"
+               (("compile --target")
+                "compile -O1 --target"))))))
+      (version (if revision
+                   (git-version version revision commit)
+                   version))
+      (native-inputs
+       (modify-inputs (package-native-inputs shepherd)
+         (prepend autoconf automake gettext-minimal help2man texinfo)))
+      (description "A package variant for use in Guix. It helps lowering
+the build time of Guix when working on Shepherd."))))
+
 (define-public guile2.2-shepherd
   (package
     (inherit shepherd)
diff --git a/gnu/services/shepherd.scm b/gnu/services/shepherd.scm
index b44dbf9d9f..991194ffe6 100644
--- a/gnu/services/shepherd.scm
+++ b/gnu/services/shepherd.scm
@@ -88,7 +88,7 @@ (define-record-type* <shepherd-configuration>
   shepherd-configuration make-shepherd-configuration
   shepherd-configuration?
   (shepherd shepherd-configuration-shepherd
-            (default shepherd)) ; file-like
+            (default shepherd-for-guix)) ; file-like
   (services shepherd-configuration-services
             (default '()))) ; list of <shepherd-service>
 
-- 
2.34.0





Acknowledgement sent to Attila Lendvai <attila@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54216; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Mar 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.